// afbeelding-103-met-commentaar.js Zelfde als afbeelding-103.js, maar met commentaar

	// Functie moet starten als de DOM is opgebouwd, zodat de DOM gemanipuleerd kan worden. Afbeeldingen, video's e.d. hoeven nog niet geladen te zijn, anders duurt het mogelijk te lang en is de kans op verspringen van het beeld te groot als de videospelers worden ingevoegd.
	// Mogelijk is DOMContentLoaded al in gebruik, dus met eventlistener toevoegen.
	// Eigenlijk is DOMContentLoaded helemaal niet nodig, omdat het script onderaan de pagina wordt aangeroepen en de DOM dus al is opgebouwd. Maar het zou kunnen dat het script ooit hoger wordt geplaatst, en dan is DOMContentLoaded wel nodig.
	// De derde parameter bij addEventListener is overal weggelaten, omdat dit script alleen werkt in nieuwere browsers waar die derde parameter al standaard op false staat. Het lijkt wat overbodig om een parameter toe te voegen, die al standaard aanwezig is in alle browsers die met dit script kunnen werken.
document.addEventListener("DOMContentLoaded", cssvCustomControls);




function cssvCustomControls() {

		// Variabelen die gelijk hieronder bij het afhandelen van kleine vensters al nodig zijn. De rest wordt iets verderop gedefinieerd
	var videoNodeList, len, i, width, sourceNodeList, j, extension;

	videoNodeList = document.getElementsByTagName("video");				// Lees alle <video>'s in nodelist in
	len = videoNodeList.length;
	if (len === 0) return false;										// Als er geen <video>'s zijn, doe dan verder niets
	for (i = 0; i < len; i++) {											// Bekijk elke <video>
		width = parseInt(videoNodeList[i].getAttribute("data-smscr"), 10);	// Lees numerieke waarde van attribuut data-smscr in
		if (width > 0) break;											// Als er bij één van de <video>'s een minimale maat is opgegeven
	}
		// Als er een minimale maat is opgegeven én als het venster smaller of lager is dan die opgegeven minimale maat
	if ((width > 0) && ((window.innerWidth < width) || (window.innerHeight < width))) {
		for (i = 0; i < len; i++) {										// Bekijk elke <video>
			if (parseInt(videoNodeList[i].getAttribute("data-smscr"), 10) > 0) {	// Als er bij deze <video> een minimale maat is opgegeven
				sourceNodeList = videoNodeList[i].querySelectorAll("source");	// Sstop alle <sources> van deze <video> in nodelist
				for (j = 0; j < sourceNodeList.length; j++) {
						// Als de <source> een minimale maat heeft (dus een video voor een klein venster is). Als er niet zo'n source is, wordt gewoon de grote video gebruikt, ook in kleine vensters
					if (parseInt(sourceNodeList[j].getAttribute("data-smscr"), 10) > 0) {
						extension = sourceNodeList[j].src.substring(sourceNodeList[j].src.lastIndexOf('.') + 1);	// Lees extensie van video in
						if (videoNodeList[i].canPlayType("video/" + extension) !== "") {   // Als de browser deze video kan afspelen
							videoNodeList[i].src = sourceNodeList[j].src;	// Neem deze (kleine) video als bron
							break;										// 1 video is genoeg...
						}
					}
				}
			}
		}
		return false;											// Voer de rest van het script niet uit: kleine vensters houden de standaardcontrols
	}

		// Testen op css, zoals op sommige plaatsen gebeurt, kan pas als de hele pagina is geladen. De hoofdfunctie cssvCustomControls() wordt al aangeroepen als de DOM is opgebouwd. Dat is te vroeg om te testen of alle onmisbare css aanwezig is. Daarom wordt hier een eventlistener aangebracht die pas werkt als de héle pagina, inclusief css, is geladen.
		// (De setTimeout is voor Internet Explorer: ongeveer 1 op de vijf keer leest Internet Explorer de css niet goed in, omdat deze functie toch al wordt uitgevoerd, voordat de pagina is geladen. Een minieme vertraging van 1 milliseconde lost dit op.)
	window.addEventListener("load", function () {setTimeout(function () {afterPageLoaded(); }, 1); });
		// Als de speelduur nog niet bekend is als de besturingselementen worden getoon, kunnen speelduur e.d. niet worden getoond. Veel browsers hebben de speelduur nog helemaal niet, of niet voor alle video's, opgehaald als de besturingselementen al worden getoond. Daarom wordt na 1 seconde nogmaals de speelduur opgevraagd. Als de speelduur al is opgehaald, heeft deze functie geen effect.
	window.addEventListener("load", function () {setTimeout(function () {obtainDurationAgain(); }, 1000); });

		// Variabelen met id's, classes, teksten, enz. Deze staan hier allemaal bij elkaar, zodat ze makkelijk zijn te wijzigen

		// Melding die verschijnt als afspeelfuncties nog niet werken, omdat tijdsduur nog niet bekend is. Als deze wordt leeggelaten, verschijnt geen melding.
	var durationUnknownText = "Deze functie is pas beschikbaar, als de speelduur van de video bekend is.<br>Om een of andere reden is de speelduur van de video nog niet bekend. Mogelijk is de speelduur nog helemaal niet opgevraagd. Sommige browsers vragen deze pas op, als de video wordt afgespeeld. Mogelijk is de verbinding met de server niet optimaal. Of er is 'n andere reden. Meestal komt deze functie alsnog beschikbaar, als de video wordt gestart. Na sluiting van deze melding krijgt de Speelknop van de bijbehorende video focus.",
	durationDivId = "duration-div",										// Id van <div> met melding als tijdsduur nog onbekend is
	durationDivAriaLabel = "Functie nog niet beschikbaar",				// Aria-label voor <div> met melding als tijdsduur nog onbekend is
	durationParId = "duration-par",										// Id van <p> met tekst melding als tijdsduur nog onbekend is
	durationButtonId = "duration-button",								// Id van <button> sluiten tekst melding als tijdsduur nog onbekend is
	durationButtonText = "Sluit melding",								// Tekst voor <button> sluiten tekst melding als tijdsduur nog onbekend is

		// Class en eerste deel van id wrapper-<div>. Elke speler heeft een eigen wrapper-<div>.
	wrapperDivClassId = "videobox",

		// Elementen om aangepaste of standaardbesturing te kiezen
	chooseDivId = "kiezen-div",											// Id van <div> met <input>'s e.d. voor kiezen soort besturing
		// Aria-label voor <div> met <input's> e.d. voor kiezen soort besturing
	chooseDivAriaLabel = "Kiezen tussen standaard- of aangepaste videospelers",
		// Class en eerste deel van id voor <p>'s met <input>'s e.d. voor kiezen besturing
	chooseParClassId = "kiezen-par",
	chooseLabelClassId = "kiezen-label",						// Class en eerste deel van id voor <label>'s bij <input>'s voor kiezen besturing
		// Tekst voor <label> bij <input> voor aangepaste besturing
	chooseLabelCustomText = "O, iets nieuws, dolletjes! Daar raak ik opgewonden van, stouterd, hihihi! Ik kies voor de aangepaste besturing voor de video: ",
		// Tekst voor <label> bij <input> voor standaardbesturing
	chooseLabelDefaultText = "Iets nieuws. Jasses, wat eng. Misschien zijn het wel gesluierde knoppen. Ik eet alleen wat ik ken en wil m'n eigenste standaardbesturing voor de video: ",
	chooseRadioClassId = "kiezen-knop",									// Class en basis van van id voor <input>'s voor kiezen besturing
	chooseRadioTabIndex = "0",											// Ttabindex voor <input>'s voor kiezen besturing
	chooseName = "kiezen",												// Basis van name voor <input>'s voor kiezen besturing
	chooseRadioDefaultTitle = "Standaardbesturing",						// Title voor <input> standaardbesturing
	chooseRadioCustomTitle = "Aangepaste besturing",					// Title voor <input> aangepaste besturing

		// <video>-element
	videoClassId = "video",												// Class en eerste deel van id voor <video>'s
	videoAriaLabel = "Video nummer",		// Wordt aria-label voor video als dit nog geen aria-label, aria-labelledby of aria-describedby heeft

		// <div> waar besturingselementen in zitten
	controlsDivClassId = "controls",									// Class en eerste deel van id voor <div> met besturingselementen

		// <button> voor spelen/pauzeren
	playPauseClassId = "play",											// Class en eerste deel van id voor <button>
	notPlayingClass = "not-playing",									// Extra class voor <button> wanneer video niet speelt
	playTitle = "Afspelen",												// Titel voor <button> wanneer video niet speelt
	pauseTitle = "Pauzeren",											// Titel voor <button> wanneer video speelt
	playPauseTabIndex = "0",											// Tabindex voor <button>
	playAriaLabel = "Afspelen",											// Aria-label voor <button> wanneer video niet speelt
	pauseAriaLabel = "Pauzeren",										// Aria-label voor <button> wanneer video speelt

		// <div> waar besturingselementen voor geluid in zitten
	soundDivClassId = "sound",											// Class en eerste deel van id voor <div>
		// Volumesterkte bij openen pagina. Voor de eenduidigheid ook tussen aanhalingstekens gezet, maar werkt ook zonder aanhalingstekens
	soundStartVolume = "0.5",

		// <button> voor zachter geluid
	softerClassId = "softer",											// Class en eerste deel van id voor <button>
	softerTitle = "Zachter",											// Titel voor <button>
	softerTabIndex = "0",												// Tabindex voor <button>
	softerAriaLabel = "Zachter",										// Aria-label voor <button>

		// <span> voor voorlezen volume in procenten
	ariaVolumeClassId = "aria-volume",									// Class en eerste deel van id voor <span>
	ariaVolumeText = "procent",											// Tekst die na percentage volume wordt voorgelezen

		// <span> voor weergave volume in procenten
	percentageClassId = "percentage",									// Class en eerste deel van id voor <span>
	percentageTitle = "Geluidssterkte",									// Title voor <span>
	percentageAriaLabel = "Geluidssterkte",								// Aria-label voor <span>

		// <button> voor harder geluid
	louderClassId = "louder",											// Class en eerste deel van id <button>
	louderTitle = "Harder",												// Titel voor <button>
	louderTabIndex = "0",												// Tabindex voor <button>
	louderAriaLabel = "Harder",											// Aria-label voor <button>

		// <button> voor aan/uitzetten geluid
	muteClassId = "mute",												// Class en eerste deel van id voor <button>
	mutedClass = "muted",												// Extra class voor <button> wanneer geluid uit staat
	muteTitle = "Geluid uit",											// Titel voor <button> als geluid uit staat
	unmuteTitle = "Geluid aan",											// Titel voor <button> als geluid aan staat
	muteTabIndex = "0",													// Tabindex voor <button>
	muteAriaLabel = "Geluid uit",										// Aria-label voor <button> als geluid uit staat
	unmuteAriaLabel = "Geluid aan",										// Aria-label voor <button> als geluid aan staat

		// <div> met sleepbalk voor geluidssterkte
	soundSliderClassId = "sound-slider",								// Class en eerste deel van id voor <div>

		// <div> met balk van sleepbalk voor geluidssterkte
	soundSliderBeamClassId = "sound-slider-beam",						// Class en eerste deel van id voor <div>
	soundSliderBeamTitle = "Sleepbalk volume",							// Titel voor <div>
	soundSliderBeamTabIndex = "0",										// Tabindex voor <div>
	soundSliderBeamAriaLabel = "Sleepbalk volume",						// Aria-label voor <div>

		// <div> met knop van sleepbalk voor geluidssterkte
	soundSliderButtonClassId = "sound-slider-button",					// Class en eerste deel van id voor <div>
	soundSliderButtonTitle = "Sleepbalk volume",						// Titel voor <div>

		// <div> waar besturingselementen voor afspelen in zitten
	imageDivClassId = "image",											// Class en eerste deel van id voor div met afspeel-elementen

		// <button> om terug naar begin te gaan
	toBeginClassId = "to-begin",										// Class en eerste deel van id voor <button>
	toBeginTitle = "Naar begin video",									// Titel voor <button>
	toBeginTabIndex = "0",												// Tabindex voor <button>
	toBeginAriaLabel = "Naar begin video",								// Aria-label voor <button>

		// <button> om vijf procent terug te gaan
	fiveBackClassId = "five-back",										// Class en eerste deel van id voor <button>
	fiveBackTitle = "Vijf procent terug",								// Titel voor <button>
	fiveBackTabIndex = "0",												// Tabindex voor <button>
	fiveBackAriaLabel = "Vijf procent terug",							// Aria-label voor <button>

		// <button> om tien seconden terug te gaan
	tenBackClassId = "ten-back",										// Class en eerste deel van id voor <button>
	tenBackTitle = "Tien seconden terug",								// Titel voor <button>
	tenBackTabIndex = "0",												// Tabindex voor <button>
	tenBackAriaLabel = "Tien seconden terug",							// Aria-label voor <button>

		// <button> om tien seconden verder te gaan
	tenForwardClassId = "ten-forward",									// Class en eerste deel van id voor <button>
	tenForwardTitle = "Tien seconden verder",							// Titel voor <button>
	tenForwardTabIndex = "0",											// Tabindex voor <button>
	tenForwardAriaLabel = "Tien seconden verder",						// Aria-label voor <button>

		// <button> om vijf procent verder te gaan
	fiveForwardClassId = "five-forward",								// Class en eerste deel van id voor <button>
	fiveForwardTitle = "Vijf procent verder",							// Titel voor <button>
	fiveForwardTabIndex = "0",											// Tabindex voor <button>
	fiveForwardAriaLabel = "Vijf procent verder",						// Aria-label voor <button>

		// <button> om naar einde te gaan
	toEndClassId = "to-end",											// Class en eerste deel van id voor <button>
	toEndTitle = "Naar einde video",									// Titel voor <button>
	toEndTabIndex = "0",												// Tabindex voor <button>
	toEndAriaLabel = "Naar einde video",								// Aria-label voor <button>

		// <button> om fullscreen weer te geven
	fullscreenClassId = "fullscreen",									// Class en eerste deel van id voor <button>
	fullscreenTitle = "Volledig scherm",								// Titel voor <button>
	fullscreenTabIndex = "0",											// Tabindex voor <button>
	fullscreenAriaLabel = "Volledig scherm",							// Aria-label voor <button>

		// <div> waar <button>'s voor snelheid in zitten
	speedClassId = "speed",												// Class en eerste deel van <div>
	speedAriaLabel = "Snelheid afspelen instellen",						// Aria-label voor <div>

		// Attributen die voor alle <button>'s voor snelheid hetzelfde zijn
	speedTabIndex = "0",												// Tabindex voor <button>'s
	speedName = "knop-snelheid",										// Name voor <button>'s

		// <button> en bijbehorend <label> voor halve snelheid
	speedHalfClassId = "speed-half",									// Class en eerste deel van id voor <button>
	speedHalfTitle = "Halve snelheid",									// Titel voor <button>
	speedHalfAriaLabel = "Halve snelheid",								// Aria-label voor <button>
	speedHalfLabelClassId = "speed-half-label",							// Class en eerste deel van id voor <label>
	speedHalfLabelTitle = "Halve snelheid",								// Titel voor <label>
	speedHalfLabelText = "0,5x",										// Tekst voor <label>

		// <button> en bijbehorend <label> voor normale snelheid
	speedDefaultClassId = "speed-default",								// Class en eerste deel van id voor <button>
	speedDefaultTitle = "Normale snelheid",								// Titel voor <button>
	speedDefaultAriaLabel = "Normale snelheid",							// Aria-label voor <button>
	speedDefaultLabelClassId = "speed-default-label",					// Class en eerste deel van id voor <label>
	speedDefaultLabelTitle = "Normale snelheid",						// Titel voor <label>
	speedDefaultLabelText = "1x",										// Tekst voor <label>

		// <button> en bijbehorend <label> voor anderhalve snelheid
	speedOneHalfClassId = "speed-one-half",								// Class en eerste deel van id voor <button>
	speedOneHalfTitle = "Anderhalve snelheid",							// Titel voor <button>
	speedOneHalfAriaLabel = "Anderhalve snelheid",						// Aria-label voor <button>
	speedOneHalfLabelClassId = "speed-one-half-label",					// Class en eerste deel van id voor <label>
	speedOneHalfLabelTitle = "Anderhalve snelheid",						// Titel voor <label>
	speedOneHalfLabelText = "1,5x",										// Tekst voor <label>

		// <button> en bijbehorend <label> voor dubbele snelheid
	speedDoubleClassId = "speed-double",								// Class en eerste deel van id voor <button>
	speedDoubleTitle = "Dubbele snelheid",								// Titel voor <button>
	speedDoubleAriaLabel = "Dubbele snelheid",							// Aria-label voor <button>
	speedDoubleLabelClassId = "speed-double-label",						// Class en eerste deel van id voor <label>
	speedDoubleLabelTitle = "Dubbele snelheid",							// Titel voor <label>
	speedDoubleLabelText = "2x",										// Tekst voor <label>

		// <div> met sleepbalk voor afspelen
	imageSliderClassId = "image-slider",								// Class en eerste deel van id voor <div>

		// <div> met balk van sleepbalk voor afspelen
	imageSliderBeamClassId = "image-slider-beam",						// Class en eerste deel van id voor <div>
	imageSliderBeamTitle = "Sleepbalk afspelen",						// Titel voor <div>
	imageSliderBeamAriaLabel = "Sleepbalk afspelen",					// Aria-label voor <div>
	imageSliderBeamTabIndex = "0",										// Tabindex voor <div>

		// <div> met knoop van sleepbalk voor afspelen
	imageSliderButtonClassId = "image-slider-button",					// Class en eerste deel van id voor <div>
	imageSliderButtonTitle = "Sleepbalk afspelen",						// Titel voor <div>

		// <span> voor verstreken speelduur
	elapsedClassId = "elapsed",											// Class en eerste deel van id voor <span>
	elapsedTitle = "Verstreken",										// Titel voor <span>
	elapsedAriaLabel = "Verstreken",									// Aria-label voor <span>

		// <span> en teksten om verstreken speelduur voor te kunnen lezen (alleen als handmatig voor- of achteruit is gegaan)
	ariaElapsedClassId = "aria-elapsed",								// Class en eerste deel van id voor <span>
	ariaStartVideoText = "Begin video",									// Gesproken tekst als naar begin video is gegaan
	ariaEndVideoText = "Einde video",									// Gesproken tekst als naar einde video is gegaan
	ariaHourText = "uur",												// Gesproken tekst om uren aan te geven
	ariaMinutesText = "minuut",											// Gesproken tekst om minuten aan te geven
	ariaSecondsText = "seconden",										// Gesproken tekst om seconden aan te geven

		// <span> voor resterende tijd
	remainingClassId = "remaining",										// Class en eerste deel van id voor <span>
	remainingTitle = "Resterend",										// Titel voor <span>
	remainingAriaLabel = "Resterend",									// Aria-label voor <span>

		// <span> voor totale speelduur
	durationClassId = "duration",										// Class en eerste deel van id voor <span>
	durationTitle = "Speelduur",										// Titel voor <span>
	durationAriaLabel = "Speelduur",									// Aria-label voor <span>

		//Variabelen die later worden geïnitialiseerd. Voor de overzichtelijkheid worden hier allemaal al aangemaakt.
	soundSlidingAllowed, imageSlidingAllowed, ariaSpeakTime, ariaSpeakTimeLater, ariaSpeakVolume, ariaSpeakVolumeLater, pointerRepeat, wrapperDivNodeList, parents, controlsDivNodeList, playPauseNodeList, soundDivNodeList, softerNodeList, ariaVolumeNodeList, percentageNodeList, louderNodeList, muteNodeList, soundSliderBeamNodeList, soundSliderButtonNodeList, imageDivNodeList, toBeginNodeList, fiveBackNodeList, tenBackNodeList, tenForwardNodeList, fiveForwardNodeList, toEndNodeList, fullscreenNodeList, speedHalfNodeList, speedDefaultNodeList, speedOneHalfNodeList, speedDoubleNodeList, imageSliderBeamNodeList, imageSliderButtonNodeList, remainingNodeList, elapsedNodeList, ariaElapsedNodeList, durationNodeList, elapsed, showingDurationText;

		// Een aantal van de waarden van de hierboven staande variabelen is onmisbaar voor een juiste werking van het script. Daarop wordt hier gecontroleerd. Als die waarden niet (juist) zijn ingevuld, worden standaardwaardes ingevuld en verschijnt op het script een alert() met wat waarom is veranderd.
		// De eerste drie alleen checken als de tekst voor de melding voor onbekende speelduur aanwezig is. Anders wordt deze melding niet getoond en zijn de id's dus ook niet nodig.
	if (durationUnknownText) {
		durationDivId = checkValue("durationDivId", durationDivId, "duration-div");		// Id voor <div> voor melding onbekende speelduur
		durationParId = checkValue("durationParId", durationParId, "duration-par");		// Id voor <p> met tekst melding onbekende speelduur
			// Id voor <button> sluiten melding onbekende speelduur
		durationButtonId = checkValue("durationButtonId", durationButtonId, "duration-button");
	}
	chooseDivId = checkValue("chooseDivId", chooseDivId, "choose-div");	// Id voor <div> met keuze aangepaste of standaardspeler
		// classId voor <p>'s met tekst en <input>'s keuze aangepaste of standaardspeler
	chooseParClassId = checkValue("chooseParClassId", chooseParClassId, "choose-par");
			// classId voor <label>'s bij <input>'s keuze aangepaste of standaardspeler
	chooseLabelClassId = checkValue("chooseLabelClassId", chooseLabelClassId, "choose-label");
			// classId voor <input>'s keuze aangepaste of standaardspeler
	chooseRadioClassId = checkValue("chooseRadioClassId", chooseRadioClassId, "choose-button");
	chooseName = checkValue("chooseName", chooseName, "choose");		// Name voor <input>'s keuze aangepaste of standaardspeler
	videoClassId = checkValue("videoClassId", videoClassId, "video");	// classId voor <video>
	videoAriaLabel = checkValue("videoAriaLabel", videoAriaLabel, "Video number");	// Aria-label voor <video>
	controlsDivClassId = checkValue("controlsDivClassId", controlsDivClassId, "controls");	// classId voor <div> met besturingselementen
	playPauseClassId = checkValue("plauPauseClassId", playPauseClassId, "play");	// classId voor <button> spelen/pauzeren
		// Extra class voor <button> spelen/pauzeren (als is gepauzeerd)
	notPlayingClass = checkValue("notPlayingClass", notPlayingClass, "not-playing");
	soundDivClassId = checkValue("soundDivClassId", soundDivClassId, "sound");	// classId voor <div> met besturingselementen voor geluid
		// Geluidssterkte. Als geen beginvolume is opgegeven op 0.5 instellen
	soundStartVolume = (isNaN(parseFloat(soundStartVolume))) ? 0.5 : soundStartVolume;
	softerClassId = checkValue("softerClassId", softerClassId, "softer");	// classId voor <button> zachter
	ariaVolumeClassId = checkValue("ariaVolumeClassId", ariaVolumeClassId, "aria-volume");	// classId voor <span> voorlezen volume in procenten
	percentageClassId = checkValue("percentageClassId", percentageClassId, "percentage");	// classId voor <span> weergave volume in procenten
	louderClassId = checkValue("louderClassId", louderClassId, "louder");	// classId voor <button> harder
	muteClassId = checkValue("muteClassId", muteClassId, "mute");		// classId voor <button> geluid aan/uit
	mutedClass = checkValue("mutedClass", mutedClass, "muted");			// Extra class voor <button> geluid aan/uit (als geluid uit staat)
	soundSliderClassId = checkValue("soundSliderClassId", soundSliderClassId, "sound-slider");	// classId voor <div> met sleepbalk geluid
		// classId voor <div> met balk van sleepbalk voor geluid
	soundSliderBeamClassId = checkValue("soundSliderBeamClassId", soundSliderBeamClassId, "sound-slider-beam");
		// classId voor <div> met knop van sleepbalk voor geluid
	soundSliderButtonClassId = checkValue("soundSliderButtonClassId", soundSliderButtonClassId, "sound-slider-button");
	imageDivClassId = checkValue("imageDivClassId", imageDivClassId, "image");	// classId voor <div> met besturingselementen voor afspelen
	toBeginClassId = checkValue("toBeginClassId", toBeginClassId, "to-begin");	// classId voor <button> terug naar begin
	fiveBackClassId = checkValue("fiveBackClassId", fiveBackClassId, "five-back");	// classId voor <button> vijf procent terug
	tenBackClassId = checkValue("tenBackClassId", tenBackClassId, "ten-back");	// classId voor <button> tien seconden terug
	tenForwardClassId = checkValue("tenForwardClassId", tenForwardClassId, "ten-forward");	// classId voor <button> tien seconden verder
	fiveForwardClassId = checkValue("fiveForwardClassId", fiveForwardClassId, "five-forward");	// classId voor <button> vijf procent verder
	toEndClassId = checkValue("toEndClassId", toEndClassId, "to-end");	// classId voor <button> naar einde
	fullscreenClassId = checkValue("fullscreenClassId", fullscreenClassId, "fullscreen");	// classId voor <button> fullscreen
	speedClassId = checkValue("speedClassId", speedClassId, "speed");	// classId voor <div> waar <button>'s voor snelheid in staan
	speedName = checkValue("speedName", speedName, "button-speed");		// name voor <button>'s instellen snelheid
	speedHalfClassId = checkValue("speedHalfClassId", speedHalfClassId, "speed-half");	// classId voor <button> halve snelheid
		// classId voor <label> bij <button> halve snelheid
	speedHalfLabelClassId = checkValue("speedHalfLabelClassId", speedHalfLabelClassId, "speed-half-label");
	speedDefaultClassId = checkValue("speedDefaultClassId", speedDefaultClassId, "speed-default");	// classId voor <button> normale snelheid
		// classId voor <label> bij <button> normale snelheid
	speedDefaultLabelClassId = checkValue("speedDefaultLabelClassId", speedDefaultLabelClassId, "speed-default-label");
	speedOneHalfClassId = checkValue("speedOneHalfClassId", speedOneHalfClassId, "speed-one-half");	// classId voor <button> anderhalve snelheid
		// classId voor <label> bij <button> anderhalve snelheid
	speedOneHalfLabelClassId = checkValue("speedOneHalfLabelClassId", speedOneHalfLabelClassId, "speed-one-half-label");
	speedDoubleClassId = checkValue("speedDoubleClassId", speedDoubleClassId, "speed-double");	// classId voor <button> dubbele snelheid
		// classId voor <label> bij <button> dubbele snelheid
	speedDoubleLabelClassId = checkValue("speedDoubleLabelClassId", speedDoubleLabelClassId, "speed-double-label");
	imageSliderClassId = checkValue("imageSliderClassId", imageSliderClassId, "image-slider");	// classId voor <div> met sleepbalk afspelen
		// classId voor <div> met balk van sleepbalk afspelen
	imageSliderBeamClassId = checkValue("imageSliderBeamClassId", imageSliderBeamClassId, "image-slider-beam");
		// classId voor <div> met knop van sleepbalk afspelen
	imageSliderButtonClassId = checkValue("imageSliderButtonClassId", imageSliderButtonClassId, "image-slider-button");
	elapsedClassId = checkValue("elapsedClassId", elapsedClassId, "elapsed");	// classId voor <span> met verstreken speelduur
		// classId voor <span> voor voorlezen verstreken speelduur
	ariaElapsedClassId = checkValue("ariaElapsedClassId", ariaElapsedClassId, "aria-elapsed");
	remainingClassId = checkValue("remainingClassId", remainingClassId, "remaining");	// classId voor <span> met resterende speelduur
	durationClassId = checkValue("durationClassId", durationClassId, "duration");	// classId voor <span> met totale speelduur

	showingDurationText = false;										// Wordt true als melding speelduur onbekend is geopend

	soundSlidingAllowed = -1;											// -1 geeft aan dat sleepbalk geluid niet gesleept kan (en mag) worden
	imageSlidingAllowed = -1;											// -1 geeft aan dat sleepbalk afspelen niet gesleept kan (en mag) worden
		// Als de pointer boven de sleepbalk voor geluid wordt ingedrukt, krijgt soundSlidingAllowed het indexnummer van de sleepbalk die gesleept mag worden. Zolang dit nummer gelijk blijft, reageert de sleepbalk op op bewegingen van de pointer, zolang deze boven de sleepbalk hangt. Als de pointer buiten de sleepbalk wordt bewogen en daarna weer boven de sleepbalk wordt teruggebracht, reageert de sleepbalk nog steeds op de pointer. Als iemand dus per ongeluk buiten de sleepbalk komt, wat makkelijk kan, kan gewoon door worden gegaan met slepen.
		// Oorspronkelijk was soundSlidingAllowed gewoon true of falses. Maar in Internet Explorer 11 wordt de eventlistener die voor het slepen zorgt niet goed verwijderd (m.b.v. removeEventListener). Als je in IE 11 op sleepbalk A klikt, vervolgens gaat slepen op sleepbalk B en daarbij over sleepbalk A hovert, verspringt sleepbalk A naar de positie die bij sleepbalk B hoort (als die positie te hoog of te laag is, wordt naar helemaal links of helemaal rechts gesprongen). Door het nummer van soundSlidingAllowed te vergelijken met het indexnummer van de sleepbalk, kan dit verspringen worden geblokkeerd.
		// Als de pointer wordt losgelaten, zorgt de eerste hieronder staande eventlistener ervoor dat soundSlidingAllowed -1 wordt. Hierdoor reageert de sleepbalk niet meer op de pointer. Omdat de eventlistener is gekoppeld aan document.body, werkt het loslaten van de pointer overal op de pagina, en niet alleen boven de sleepbalk.
		// Voor touchscreens heeft deze functie verder geen effect
		// Voor imageSlidingAllowed geldt precies hetzelfde verhaal, maar dan voor de sleepbalk voor beeld

		// ariaSpeakTime houdt bij of tekst moet worden voorgelezen. Als dat het geval is, krijgt het de waarde van het volgnummer van de bijbehorende video. Door alleen voor te lezen als de pointer/toets wordt losgelaten, wordt voorkomen dat bij slepen met de pointer of bij het ingedrukt houden van een knop alle tussenliggende waarden ook worden voorgelezen: alleen de laatste tijd wordt voorgelezen.
	ariaSpeakTime = -1;
	ariaSpeakVolume = -1;												// Zelfde verhaal als hierboven, maar dan voor volumesterkte in procenten
	document.addEventListener("pointerup", function () {
		soundSlidingAllowed = -1;										// Sleepbalk geluid kan (en mag) niet meer worden gesleept
		imageSlidingAllowed  = -1;										// Sleepbalk afspelen kan (en mag) niet meer worden gesleept
			// Bij toetsherhaling worden veel tussenliggende tijden ook voorgelezen, wat volslagen overbodig en hoogst storend is. Door 0,1 seconde vertraging in te voegen en ariaSpeakTimeLater te clearen bij pointerdown (gebeurt iets hieronder), wordt het overbodig voorlezen van die tussenliggende tijden voorkomen.
			// NVDA (en mogelijk dus meer schermlezers) verandert een keydown in een pointerdown. Daarom wordt voor de zekerheid hieronder setTimeout bij pointerup én keyup gebruikt, zodat ook bij up beide mogelijkheiden zijn gedekt.
		ariaSpeakTimeLater = setTimeout(speakTime, 100);				// Lees eventueel nieuwe tijd van video voor
			// Zelfde verhaal als gelijk hierboven, maar dan voor de volumesterkte
		ariaSpeakVolumeLater = setTimeout(speakVolume, 100);			// Lees eventueel nieuwe volumesterkte van video voor
	});
	document.addEventListener("pointerdown", function () {
		clearTimeout(ariaSpeakTimeLater);								// Uitleg staat hierboven bij document.addEventlistener("pointerup", ...)
		clearTimeout(ariaSpeakVolumeLater);
	});
	document.addEventListener("keyup", function () {					// Uitleg staat hierboven bij document.addEventlistener("pointerup", ...)
		ariaSpeakTimeLater = setTimeout(speakTime, 100);				// Lees eventueel nieuwe tijd van video voor
		ariaSpeakVolumeLater = setTimeout(speakVolume, 100);			// Lees eventueel nieuwe volumesterkte van video voor
	});
	document.addEventListener("keydown", function () {					// Uitleg staat hierboven bij document.addEventlistener("pointerup", ...)
		clearTimeout(ariaSpeakTimeLater);
		clearTimeout(ariaSpeakVolumeLater);
	});

		// Als de pointer ingedrukt blijft boven de toetsen Harder, Zachter, Vijf procent vooruit, Vijf procent terug, Tien seconden verder en Tien seconden terug, krijgt pointerRepeat de waarde van een setInterval. Herhaling is dan toegestaan: als de pointer bijvoorbeeld blijft ingedrukt boven de toetst Harder, blijft het geluid in sterkte toenemen. Dit wordt geregeld in pointerSofterLouder() en pointerBackForward().
		// Omdat een setInterval altijd een positief getal is, wordt de waarde van setInterval dus een positief getal. Omdat er maar één setInterval gelijktijdig actief kan/mag zijn (er kan/mag maar één knop gelijktijdig worden ingedrukt), is één variabele genoeg.
		// De waarde -1 geeft aan, dat er niet kan (en mag) worden herhaald.
	pointerRepeat = -1;
		// Als pointer omhoog is gegaan, moet toetsherhaling stoppen. Omdat dit mogelijk buiten het betreffende element gebeurt, moet deze event op de hele pagina werken. stopPointerRepeat() cleart stopPointerRepeat en geeft er de waarde -1 aan.
	document.addEventListener("pointerup", stopPointerRepeat);			// Als de pointer omhoog gaat, moet herhaling stoppen

	wrapperDivNodeList = makeWrapperDivNodeList();						// Nodelist met alle wrapper-<div>'s maken
	if (!wrapperDivNodeList) {											// Als er geen wrapper-<div>'s waren (waarom koppel je dan dit script???)
		return false;													// Doe verder niets. De standaard videospeler wordt gebruikt
	}

	makeChoose();														// Keuzemogelijkheid voor standaard of aangepaste speler invoegen in pagina

		// Elke <video> die binnen een wrapper-<div> zit opslaan in nodelist
	videoNodeList = document.querySelectorAll("." + wrapperDivClassId + " video");

		// In elke wrapper-<div> besturingselementen invoegen (i is indexnr van wrapperDivNodeList)
	Array.prototype.map.call(wrapperDivNodeList, function (e, i) {	
		if (!addControls(i)) {											// Als er 'n wrapper-<div> zonder <video> is, kan het script niet draaien
			return false;												// Doe verder niets
		}
	});
	Array.prototype.map.call(wrapperDivNodeList, function (e) {			// Aan elke wrapper-<div> aantal data-attributen toevoegen
		e.setAttribute("data-duration", "unknown");						// Waarde wordt 'known' als speelduur bekend is
			// Waarde is 'percent-' + opgegeven startvolume in procenten
		e.setAttribute("data-volume", "percent-" + twoDigits(100 * soundStartVolume));
		e.setAttribute("data-played", "percent-00");					// Verstreken speelduur in procenten. In het begin is dat dus 0
	});
	
		//Elke <div> voor besturingselementen die binnen een wrapper-<div> zit opslaan in nodelist. Omdat de <div> binnen een wrapper-<div> moet zitten, voorkomt dit problemen als de class voor de <div> met besturingselementen ook elders op de pagina is gebruikt.
	controlsDivNodeList = document.querySelectorAll("." + wrapperDivClassId + " ." + controlsDivClassId);

	Array.prototype.map.call(videoNodeList, function (e, i) {			// Elke <video> behandelen (i is indexnr van videoNodeList)
		e.removeAttribute("controls");									// Bij elke <video> standaardcontrols uitschakelen
		e.volume = soundStartVolume;									// Volume instellen op opgegeven beginsterkte
		e.className = videoClassId;										// Class aan <video> toevoegen
		e.id = videoClassId + "-" + (i + 1);							// Id aan <video> geven (index uit nodelist + 1, is makkelijker voor mensen)
		e.addEventListener("ended", finished);							// Functie voor als video is afgespeeld. Handelt einde video af
			// Als <video> geen aria-label, aria-labelledby of aria-described heeft gekregen in de html
		if (!e.getAttribute("aria-label") && !e.getAttribute("aria-labelledby") && !e.getAttribute("aria-describedby")) {
			e.setAttribute("aria-label", videoAriaLabel + " " +  (i + 1));	// Aria-label wordt volgnummer van video (Dit is beter dan niets...)
		}
	});

		// Alleen besturingselementen die binnen de wrapper-<div> en binnen de <div> voor besturingselementen zitten mogen worden ingelezen. Als de waarden hierboven niet zijn veranderd, bevat parents: ".videobox .besturing ." Hierachter komt dan nog de class, waarmee op dat moment wordt gewerkt. Dit zou voldoende bescherming moeten bieden tegen het gebruik van classes die voor besturingselementen zijn bedoeld elders op de pagina (buiten de wrapper-<div>), omdat er nu drie classes op de juiste manier genest moeten zijn. Alleen opzettelijke stommiteit kan dat nog verpesten.
	parents = "." + wrapperDivClassId + " ." + controlsDivClassId + " .";
		// <button>'s voor Afspelen/pauzeren opslaan in nodelist
	playPauseNodeList = document.querySelectorAll(parents + playPauseClassId);

		// <div>'s voor besturingselementen opslaan in nodelist
	soundDivNodeList = document.querySelectorAll(parents + soundDivClassId);
		// <button>'s voor zachter opslaan in nodelist
	softerNodeList = document.querySelectorAll(parents + softerClassId);
		// <span>'s voor voorlezen volumesterkte opslaan in nodelist
	ariaVolumeNodeList = document.querySelectorAll(parents + ariaVolumeClassId);
		// <span>'s voor weergave volumesterkte opslaan in nodelist
	percentageNodeList = document.querySelectorAll(parents + percentageClassId);
		// <button>'s voor harder opslaan in nodelist
	louderNodeList = document.querySelectorAll(parents + louderClassId);
		// <button>'s voor geluid aan/uit opslaan in nodelist
	muteNodeList = document.querySelectorAll(parents + muteClassId);
		// <div>'s voor balk van sleepbalk voor geluid opslaan in nodelist
	soundSliderBeamNodeList = document.querySelectorAll(parents + soundSliderBeamClassId);
		// <div>'s voor knop van sleepbalk voor geluid opslaan in nodelist
	soundSliderButtonNodeList = document.querySelectorAll(parents + soundSliderButtonClassId);

		// <div>'s voor besturingselementen voor afspelen opslaan in nodelist
	imageDivNodeList = document.querySelectorAll(parents + imageDivClassId);

		// <button>'s naar begin opslaan in nodelist
	toBeginNodeList = document.querySelectorAll(parents + toBeginClassId);
		// <button>'s vijf procent terug opslaan in nodelist
	fiveBackNodeList = document.querySelectorAll(parents + fiveBackClassId);
		// <button>'s tien seconden terug opslaan in nodelist
	tenBackNodeList = document.querySelectorAll(parents + tenBackClassId);
		// <button>'s tien seconden verder opslaan in nodelist
	tenForwardNodeList = document.querySelectorAll(parents + tenForwardClassId);
		// <button>'s vijf procent verder opslaan in nodelist
	fiveForwardNodeList = document.querySelectorAll(parents + fiveForwardClassId);
		// <button>'s naar einde opslaan in nodelist
	toEndNodeList = document.querySelectorAll(parents + toEndClassId);
		// <button>'s voor fullscreen opslaan in nodelist
	fullscreenNodeList = document.querySelectorAll(parents + fullscreenClassId);
		// <button>'s halve snelheid opslaan in nodelist
	speedHalfNodeList = document.querySelectorAll(parents + speedHalfClassId);
		// <button>'s normale snelheid opslaan in nodelist
	speedDefaultNodeList = document.querySelectorAll(parents + speedDefaultClassId);
		// <button>'s anderhalve snelheid opslaan in nodelist
	speedOneHalfNodeList = document.querySelectorAll(parents + speedOneHalfClassId);
		// <button>'s dubbele snelheid opslaan in nodelist
	speedDoubleNodeList = document.querySelectorAll(parents + speedDoubleClassId);
		// <div>'s met balk voor sleepbalk voor afspelen opslaan in nodelist
	imageSliderBeamNodeList = document.querySelectorAll(parents + imageSliderBeamClassId);
		// <div>'s voor knop sleepbalk voor afspelen opslaan in nodelist
	imageSliderButtonNodeList = document.querySelectorAll(parents + imageSliderButtonClassId);
	
		// <span>'s voor weergeven verstreken speelduur opslaan in nodelist
	elapsedNodeList = document.querySelectorAll(parents + elapsedClassId);
		// <span>'s voor voorlezen verstreken speelduur opslaan in nodelist
	ariaElapsedNodeList = document.querySelectorAll(parents + ariaElapsedClassId);
		// <span>'s voor weergeven resterende tijd opslaan in nodelist
	remainingNodeList = document.querySelectorAll(parents + remainingClassId);
		// <span>'s voor weergeven totale speelduur opslaan in nodelist
	durationNodeList = document.querySelectorAll(parents + durationClassId);

		// Hieronder worden de meeste eventlisteners gekoppeld. Ook wordt hier 'n deel van de voor het script absoluut onmisbare css ingevoegd
	len = controlsDivNodeList.length;									// Aantal te verwerken <div>'s met besturingselementen
	for (i = 0; i < len; i++) {
			// touch-action is absoluut noodzakelijk om te zorgen dat de sleepbalken werken in Internet Explorer 11 op touchscreens. Zonder deze eigenschap werkt de sleepbalk niet, maarscrollt gewoon het hele venster. Ook Firefox in Windows 8 op touchscreens heeft hier (in mindere mate) last van.
			// user-select:none voorkomt op touchscreens bij iets langere aanraking het selecteren van tekst
		controlsDivNodeList[i].setAttribute("style", "-ms-touch-action: none; touch-action: none; -moz-user-select: none; -ms-user-select: none; -webkit-user-select: none; -user-select: none;");
			// In sommige browsers opent bij langere aanraking van het touchscreen het contextuele menu. Uitschakelen, heeft toch geen nut binnen het besturingsdeel.
		controlsDivNodeList[i].addEventListener("contextmenu", noContext);

		playPauseNodeList[i].addEventListener("click", playPause);		// klikken op <button> spelen/pauzeren afhandelen

		softerNodeList[i].addEventListener("keydown", keySofterLouder);	// Ingedrukte toets op <button> zachter afhandelen
		softerNodeList[i].addEventListener("pointerdown", pointerSofterLouder);	// Pointer omlaag op <button> zachter afhandelen
		softerNodeList[i].addEventListener("pointerout", stopPointerRepeat);	// Herhalen afbreken als pointer buiten <button> zachter komt
		louderNodeList[i].addEventListener("keydown", keySofterLouder);	// Ingedrukte toets op <button> harder afhandelen
		louderNodeList[i].addEventListener("pointerdown", pointerSofterLouder);	// Pointer omlaag op <button> harder afhandelen
		louderNodeList[i].addEventListener("pointerout", stopPointerRepeat);	// Herhalen afbreken als pointer buiten <button> harder komt
		muteNodeList[i].addEventListener("click", mute);				// Klikken op <button> geluid aan/uit afhandelen

			// Pointer omlaag op <div> met balk van sleepbalk voor geluid afhandelen. Dit gebeurt niet alleen op de <div> met de knop van de sleepbalk, omdat je heel makkelijk buiten die knop komt. Als de eventlistener alleen aan de <div> met de knop is gekoppeld, stopt het slepen zodra je ook maar iets buiten die komt met de pointer.
		soundSliderBeamNodeList[i].addEventListener("pointerdown", soundBeginSliding);
			// Ingedrukte toets op <div> met balk van sleepbalk voor geluid afhandelen
		soundSliderBeamNodeList[i].addEventListener("keydown", soundSliderKey);
			// Pointer omlaag op <div> met knop van sleepbalk voor geluid afhandelen. Dit is al gedaan voor de <div> met de balk van de sleepbalk voor geluid, maar moet ook voor de <div> met de knop van de sleepbalk voor geluid gebeuren. Anders werkt pointerdown niet, als exact op de knop van de sleepbalk wordt geklikt
		soundSliderButtonNodeList[i].addEventListener("pointerdown", soundBeginSliding);
			// De <div> met de knop van de sleepbalk voor geluid móét een absolute positie hebben om op de juiste plaats te kunnen zetten.
		soundSliderButtonNodeList[i].style.position = "absolute";
			// De (<div> met de) knop van de sleepbalk voor geluid wordt bij openen van de pagina met 'n kleine vertraging op de juiste positie gezet. Daarom wordt hij in eerste instantie verborgen. Pas als de knop op de juiste positie staat, wordt hij zichtbaar. Dit voorkomt dat de knop eerst helemaal links wordt neergezet en dan even later naar de juiste positie 'springt'. Dit moet met visibility: hidden; (en niet display: none;), omdat de breedte van de knop later in afterPageLoaded() moet worden ingelezen, net voordat deze zichtbaar wordt. Met display: none; is er gewoon helemaal geen knop, en dus ook geen breedte. Als je visibility gebruikt, zie je de knop niet, maar deze is wel gewoon aanwezig. Dus is ook de breedte aanwezig en kan later worden ingelezen.
		soundSliderButtonNodeList[i].style.visibility = "hidden";

		toBeginNodeList[i].addEventListener("click", toBegin);			// Klikken op <button> naar begin afhandelen
		fiveBackNodeList[i].addEventListener("keydown", keyBackForward);	// Ingedrukte toets op <button> 5% terug afhandelen
			// Als de speelduur nog niet bekend is, werken sommige bedieningsonderdelen nog niet. Als 'n nog niet werkend bedieningsonderdeel wordt geactiveerd, opent een melding. Die melding kan o.a. weer worden gesloten door op een <button> in die melding te klikken.
			// Opera en Google Chrome op Linux en Windows hebben iets dat ongeneeslijke Googlefans een 'feature' noemen en alle anderen een al jaren bestaande irritante bug. Als het nog niet werkende bedieningsonderdeel wordt geactiveerd met de spatiebalk, sluit de melding onmiddellijk weer, zonder dat je die hebt kunnen lezen. Dit gebeurt echter alleen als je keydown gebruikt, niet als je (met exact dezelfde code) keyup gebruikt om de melding te openen (wat ook bepaald meer in de richting van 'n bug dan van 'n feature wijst...).
			// De code voor onderstaande eventlistener voor keyup zat oorspronkelijk in de met keydown aangeroepen keyBackForward(), maar is vanwege deze bug pardon fantastische feature verplaatst naar een eigen eventlistener voor keyup.
			// Loslaten van toets op <button> voor vijf seconden terug afhandelen.
			// parseInt(this.id.substr(-1), 10) -1: laatste deel van id bevat volgnummer van betreffende <button>
			// e.keyCode: toetscode van ingedrukte toets
			// JSHint geeft een waarschuwing bij onderstaande anonieme functie bij keyup, omdat deze in een loop wordt aangemaakt. In dit geval kan die worden genegeerd, omdat de teller van de loop (for i = 0; i < len; i++) op geen enkele manier wordt gebruikt bij het aanmaken van de functie. (Zou dat wel zo zijn, dan zou bij elke functie alleen de hoogste waarde van i, aan het eind van de loop, worden gebruikt, en dat zou inderdaad grote problemen opleveren.)
		fiveBackNodeList[i].addEventListener("keyup", function (e) {showDurationText(true, parseInt(this.id.substr(-1), 10) - 1, e.keyCode); });
		fiveBackNodeList[i].addEventListener("pointerdown", pointerBackForward);	// Pointer omlaag op <button> 5% terug afhandelen
		fiveBackNodeList[i].addEventListener("pointerout", stopPointerRepeat);	// Herhalen afbreken als pointer buiten <button> 5% terug komt
		tenBackNodeList[i].addEventListener("keydown", keyBackForward);	// Ingedrukte toets op <button> 10 seconde terug afhandelen
			// Uitleg voor onderstaande keyup staat iets hierboven bij fiveBackNodeList[i].addEventListener("keyup", ...)
		tenBackNodeList[i].addEventListener("keyup", function (e) {showDurationText(true, parseInt(this.id.substr(-1), 10) - 1, e.keyCode); });
		tenBackNodeList[i].addEventListener("pointerdown", pointerBackForward);	// Pointer omlaag op <button> 10 seconde terug afhandelen
			// Herhalen afbreken als pointer buiten <button> 10 seconde terug komt
		tenBackNodeList[i].addEventListener("pointerout", stopPointerRepeat);
		tenForwardNodeList[i].addEventListener("keydown", keyBackForward);	// Ingedrukte toets op <button> 10 seconde verder afhandelen
			// Uitleg voor onderstaande keyup staat iets hierboven bij fiveBackNodeList[i].addEventListener("keyup", ...)
		tenForwardNodeList[i].addEventListener("keyup", function (e) {showDurationText(true, parseInt(this.id.substr(-1), 10) - 1, e.keyCode); });
		tenForwardNodeList[i].addEventListener("pointerdown", pointerBackForward);	// Pointer omlaag op <button> 10 seconde verder afhandelen
			// Herhalen afbreken als pointer buiten <button> 10 seconde verder komt
		tenForwardNodeList[i].addEventListener("pointerout", stopPointerRepeat);
		fiveForwardNodeList[i].addEventListener("keydown", keyBackForward);	// Ingedrukte toets op <button> 10 seconde verder afhandelen
			// Uitleg voor onderstaande keyup staat iets hierboven bij fiveBackNodeList[i].addEventListener("keyup", ...)
		fiveForwardNodeList[i].addEventListener("keyup", function (e) {showDurationText(true, parseInt(this.id.substr(-1), 10) - 1, e.keyCode); });
		fiveForwardNodeList[i].addEventListener("pointerdown", pointerBackForward);	// Pointer omlaag op <button> 5% verder afhandelen
		fiveForwardNodeList[i].addEventListener("pointerout", stopPointerRepeat);	// Herhalen afbreken als pointer buiten <button> 5% verder komt
		toEndNodeList[i].addEventListener("click", toEnd);				// Klikken op <button> naar eind afhandelen
		fullscreenNodeList[i].addEventListener("click", fullscreen);	// Klikken op <button> fullscreen afhandelen
		speedHalfNodeList[i].addEventListener("change", changeSpeed);	// Wijzigen <button> halve snelheid afhandelen
		speedDefaultNodeList[i].addEventListener("change", changeSpeed);	// Wijzigen <button> normale snelheid afhandelen
		speedOneHalfNodeList[i].addEventListener("change", changeSpeed);	// Wijzigen <button> anderhalve snelheid afhandelen
		speedDoubleNodeList[i].addEventListener("change", changeSpeed);	// Wijzigen <button> dubbele snelheid afhandelen
		
			// Pointer omlaag op <div> met balk van sleepbalk voor afspelen afhandelen. Dit gebeurt niet alleen op de <div> met de knop van de sleepbalk, omdat je heel makkelijk buiten die knop komt. Als de eventlistener alleen aan de <div> met de knop is gekoppeld, stopt het slepen zodra je ook maar iets buiten die komt met de pointer.
		imageSliderBeamNodeList[i].addEventListener("pointerdown", imageBeginSliding);
			// Ingedrukte toets op <div> met balk van sleepbalk voor afspelen afhandelen
		imageSliderBeamNodeList[i].addEventListener("keydown", imageSliderKey);
			// Pointer omlaag op <div> met knop van sleepbalk voor afspelen afhandelen. Dit is al gedaan voor de <div> met de balk van de sleepbalk voor afspelen, maar moet ook voor de <div> met de knop van de sleepbalk voor afspelen gebeuren. Anders werkt pointerdown niet, als exact op de knop van de sleepbalk wordt geklikt
		imageSliderButtonNodeList[i].addEventListener("pointerdown", imageBeginSliding);
			// De <div> met de knop van de sleepbalk voor afspelen móét een absolute positie hebben om op de juiste plaats te kunnen zetten.
		imageSliderButtonNodeList[i].style.position = "absolute";		// Is absoluut nodig voor een goede werking
	}																	// Einde for (i = 0; i < len; i++)
		// Nog één loslopende eventlistener voor document. Handelt sneltoets voor volgende video af.
	document.addEventListener("keydown", nextVideo);

	videoNodeList[0].volume = 0.3;										// Vverander volume van eerste <video>
	if (videoNodeList[0].volume === 1) {								// Als het volume niet veranderd blijkt te zijn (dit is op iOS het geval)
		for (i = 0; i < len; i++) {										// len bevat nog steeds aantal <div>'s met besturingselementen
				// Voeg attribuut 'data-sound' met waarde 'no' in bij wrapper-<div>. Dit kan door css worden gebruikt om op iOS de geluidsbesturing te verbergen of zoiets.
			wrapperDivNodeList[i].setAttribute("data-sound", "no");		// Aanknopingspunt voor css als geluidsregeling niet werkt
		}
	} else {															// Als het volume wel is veranderd
		for (i = 0; i < len; i++) {
			wrapperDivNodeList[i].setAttribute("data-sound", "yes");	// Voeg attribuut 'data-sound' met waarde 'yes' in bij wrapper-<div>
		}
	}
	videoNodeList[0].volume = soundStartVolume;							// Gewijzigde volume bij eerste <video> weer terugzetten naar oorspronkelijke

/******************** EINDE HOOFDBESTURINGSLUS. HIERONDER STAAN DE AFZONDERLIJKE FUNCTIES *************************************/




/****************** Div voor video en besturing maken ************************/
		// Nodelist met wrapper-<div>'s maken en id aan elke wrapper-<div> geven
	function makeWrapperDivNodeList() {
		wrapperDivNodeList = document.getElementsByClassName(wrapperDivClassId);	// Stop elke wrapper-<div> in nodelist
		if (wrapperDivNodeList.length === 0) {							// Als er geen enkele wrapper-<div> met de juiste class op de pagina is
			alert("No elements with class = '" + wrapperDivClassId + "' were found! \nEach <video> MUST live inside an element with this class. \nControl will be given back to the default built-in controls for <video>.");	// Meldt dat het niet is gelukt
			return false;												// Breek script af, gebruik de in de browser ingebouwde videospeler
		}

		Array.prototype.map.call(wrapperDivNodeList, function (e, i) {	// Voor elke wrapper-<div> (i is indexnr uit wrapperDivNodeList)
				// Geef aan wrapper-div id-[indexnummer + 1]. Plus 1, omdat nodelist met 0 begint en mensen 1 makkelijker vinden
			e.id = wrapperDivClassId + "-" + (i + 1);
		});
		return wrapperDivNodeList;										// Retourneer nodelist met wrapper-<div>'s
	}																	// Einde function makeWrapperDivNodeList(0)




/********************* Keuzemogelijkheid voor aangepaste of standaardbesturing maken en invoegen in pagina ***************************/
		// makeChoose(): <input>'s voor kiezen standaard of aangepaste videospeler met bijbehorende tekst maken e.d. en invoegen in pagina
	function makeChoose() {
		var docfrag = document.createDocumentFragment(),				// Opslaan in docfrag tot alles klaar is en in één keer kan worden ingevoegd
			i, len, el;

		el = document.createElement("div");							// <div> voor <button>'s en tekst kiezen standaard of aangepaste speler maken
		el.id = chooseDivId;											// Id aan <div> geven
		el.setAttribute("role", "radiogroup");							// Aria role toevoegen aan <div>
		el.setAttribute("aria-label", chooseDivAriaLabel);				// Aria-label toevoegen aan <div>
		docfrag.appendChild(el);										// <div> toevoegen aan documentfragment

		for (i = 0; i < 2; i++) {							// Twee <p>'s maken voor kiezen standaard of aangepaste videospeler, één voor elke keuze
			el = makeElement({											// Maak <p> voor keuze
				indexNr: i,												// Voor volgenummer van id
				tagName: "p",
				classId: chooseParClassId								// Class en eerste deel van id
			});
			docfrag.firstChild.appendChild(el);							// <p> toevoegen aan documentfragment
		}

		el = makeElement({												// <label> maken voor <input> waarmee aangepaste besturing wordt gekozen
			indexNr: 0,													// Voor volgnummer van id
			tagName: "label",
			classId: chooseLabelClassId,								// Class en eerste deel van id
			isFor: chooseRadioClassId,									// Koppelen. makeElement() zorgt voor koppeling aan juiste <input>
			innerHtml: chooseLabelCustomText							// Tekst aan <label> toevoegen
		});
		docfrag.firstChild.firstChild.appendChild(el);					// <label> toevoegen aan eerste <p>

		el = makeElement({												// <button> maken voor kiezen aangepaste besturing
			indexNr: 0,													// Voor volgnummer van  id
			tagName: "input",
			type: "radio",
			classId: chooseRadioClassId,								// Class en eerste deel van id
			name: chooseName,											// name
			title: chooseRadioCustomTitle,								// Title
			checked: true,												// Vooringestelde keuze is voor aangepaste besturing
			ariaChecked: [true]											// aria-checked="true"
		});
			// Als er een tabindex is opgegeven. Bij vrijwel alle elementen die dit script aanmaakt, wordt dit ook afgehandeld door makeElement(). Dat kan in dit geval echter niet, omdat makeElement() de tabindex via een berekening koppelt aan de bijbehorende bijbehorende video e.d. En deze keuze hoort niet bij een bepaalde video, maar bij de hele pagina.
		if (chooseRadioTabIndex) {
			el.tabIndex = chooseRadioTabIndex;							// Voeg attribuut tabindex toe
		}
		el.addEventListener("change", function () {						// Aan/uitvinken <button> afhandelen
			this.setAttribute("aria-checked", true);					// Aria-checked op true zetten
				// aria-checked bij andere <button> type radio op false zetten. De id van die <button> is hetzelfde, maar eindigt op '2'
			document.getElementById(chooseRadioClassId + "-" + 2).setAttribute("aria-checked", false);
			len = videoNodeList.length;									// videoNodeList is nodelist met <video>'s
			for (i = 0; i < len; i++) {
				videoNodeList[i].removeAttribute("controls");			// Verwijder standaardbesturing bij elke <video>
				controlsDivNodeList[i].style.display = "block";			// <div> met bedieningselementen zichtbaar maken
			}
				// Safari op OSX heeft een vreemde bug. Als je kiest voor standaardbesturing en daarna weer voor aangepaste besturing, wordt het scherm niet meer bijgewerkt. Alle knoppen blijven werken e.d., maar het uiterlijk verandert niet meer. Kennelijk heeft de css geen effect meer. Dit gebeurt alleen als @keyframes wordt gebruikt in combinatie met opacity en/of transform: rotate(). Door bij het kiezen van standaard- of aangepaste besturing een minieme zoom uit te voeren, wordt dit opgelost. Deze zoom is het zusje van die iets hieronder met als waarde 1. Er wordt gezoomd met 0,0001%. Dat is zo weinig, dat het niet te zien is.
			document.body.setAttribute("style", "zoom: 1.0001");
		});
		docfrag.firstChild.firstChild.appendChild(el);					// <button> toevoegen aan eerste paragraaf

		el = makeElement({												// <label> maken voor <input> waarmee standaardbesturing wordt gekozen
			indexNr: 1,													// Voor volgnummer van id
			tagName: "label",
			classId: chooseLabelClassId,								// Class en eerste deel van id
			isFor: chooseRadioClassId,									// Koppelen. makeElement() zorgt voor koppeling aan juiste <input>
			innerHtml: chooseLabelDefaultText							// Tekst aan <label> toevoegen
		});
		docfrag.firstChild.lastChild.appendChild(el);					// <label> toevoegen aan tweede <p>

		el = makeElement({												// <button> maken voor kiezen standaardbesturing
			indexNr: 1,													// Voor volgnummer van id
			tagName: "input",
			type: "radio",
			classId: chooseRadioClassId,								// Class en eerste deel van id
			name: chooseName,											// name
			title: chooseRadioDefaultTitle,								// Title
			ariaChecked: [false]										// aria-checked="false"
		});
			// Als er een tabindex is opgegeven. Bij vrijwel alle elementen die dit script aanmaakt, wordt dit ook afgehandeld door makeElement(). Dat kan in dit geval echter niet, omdat makeElement() de tabindex via een berekening koppelt aan de bijbehorende bijbehorende video e.d. En deze keuze hoort niet bij een bepaalde video, maar bij de hele pagina.
		if (chooseRadioTabIndex) {
			el.tabIndex = chooseRadioTabIndex;							// Voeg attribuut tabindex toe
		}
		el.addEventListener("change", function () {						// Aan/uitvinken <button> afhandelen
			this.setAttribute("aria-checked", true);					// Aria-checked op true zetten
				// aria-checked bij andere <button> type radio op false zetten. De id van die <button> is hetzelfde, maar eindigt op '1'
			document.getElementById(chooseRadioClassId + "-" + 1).setAttribute("aria-checked", false);
			len = videoNodeList.length;									// videoNodeList is nodelist met <video>'s
			for (i = 0; i < len; i++) {
				videoNodeList[i].setAttribute("controls", "controls");	// Schakel standaardbesturing bij elke <video> in
				controlsDivNodeList[i].style.display = "none";			// <div> met bedieningselementen onzichtbaar maken
			}
				// Safari op OSX heeft een vreemde bug. Als je kiest voor standaardbesturing en daarna weer voor aangepaste besturing, wordt het scherm niet meer bijgewerkt. Alle knoppen blijven werken e.d., maar het uiterlijk verandert niet meer. Kennelijk heeft de css geen effect meer. Dit gebeurt alleen als @keyframes wordt gebruikt in combinatie met opacity en/of transform: rotate(). Door bij het kiezen van standaard- of aangepaste besturing een minieme zoom uit te voeren, wordt dit opgelost. Deze zoom is het zusje van die iets hierboven met als waarde 1.0001.  Er wordt gezoomd met 0,0001%. Dat is zo weinig, dat het niet te zien is.
			document.body.setAttribute("style", "zoom: 1");
		});
		docfrag.firstChild.lastChild.appendChild(el);					// <button> toevoegen aan tweede <p>

			// Hele handel invoegen voor eerste kind van <body>, dat is dus helemaal aan het begin van de pagina. Dit hoort de eerste keuze te zijn. Eventueel kan die hele keuze worden verborgen met behulp van css. Ook kan met behulp van css de hele keuze elders op de pagina worden neergezet.
		document.body.insertBefore(docfrag, document.body.firstChild);
	}																	// Einde function makeChoose()




/************************** Controleren of classId en andere voor het script onmisbare gegevens aanwezig zijn *****************************/
		// checkValue(): controleer of onmisbare variabelen een string bevatten. Dit zijn de variabelen die bovenin dit script kunnen worden veranderd. Als dit niet zo is, vul dan de standaardwaarde in om te voorkomen dat het script hopeloos vastloopt.
		// Er wordt alleen op de aanwezigheid van een string gecontroleerd, niet op alle mogelijke andere fouten. Alleen de maker van de pagina kan dit soort fouten maken, en die hoort genoeg kennis te hebben om een string op de juiste manier te kunnen wijzigen.
		// varName: naam van te controleren variabele.
		// varValue: waarde van te controleren variabele
		// defaultValue: in te vullen standaardwaarde als varValue ontbreekt of geen string is
	function checkValue(varName, varValue, defaultValue) {

		if ((!varValue) || (typeof varValue !== "string")) {			// Als classId e.d. leeg is of als het geen string is
			alert("The class, id, classId, name or aria-label filled in after   '" + varName + "'   is missing or invalid. Its current (wrong) value is   '" + varValue + "'   . A valid value is absolutely necessary for running this script.\nTo prevent errors in this script the current (wrong) value will be replaced with its default value   '" + defaultValue + "'   . You should fill in a correct value to prevent problems with parsing css etc.\n\nCorrect values:\nIf the name ends on Class, Id or ClassId: any valid class or id like used in css between quotes.\nIf the name ends on Name: any valid name like used in html for radio buttons etc. between quotes.\nIf the name ends on AriaLabel: a normal sentence between quotes (spaces allowed).");
			varValue = defaultValue;									// Vul standaardwaarde in
		}
		return varValue;
	}																	// Einde function checkValue(varName, varValue, defaultValue)




/*********************** Specifiek element maken ******************************/
		// makeElement(): één specifiek element maken
		// options: object met opties
	function makeElement(options) {
			// options.indexNr wordt gebruikt voor de id. Dit is het indexnummer uit de diverse nodelists. Voor mensen is beginnen met 1 logischer. Daarom wordt indexNr, als het wordt gebruikt, met 1 verhoogd om als volgnummer in id's te gebruiken. '-' ervoor zetten, zodat de id bijvoorbeeld 'video-1' wordt voor de eerste <video>.
		var orderNr = "-" + (options.indexNr + 1),
		el = document.createElement(options.tagName);					// Element creëren met de doorgegeven tag

		if (options.type) {												// Als een type is doorgegeven (bij een <button> kan dat het geval zijn)
			el.setAttribute("type", options.type);						// el.type = ... geeft fout in IE9, dus setAttribute gebruiken
		}

		if (options.classId) {											// Als een classId is doorgegeven (class en basis van id)
			el.className = options.classId;								// Class aan element geven
			el.id = options.classId + orderNr;							// classId + orderNr vormt id van element
		}

		if (options.name) {												// Als een name is doorgegeven (bijvoorbeeld bij radioknoppen)
			el.name = options.name;										// name aan element geven
		}

		if (options.value) {											// Als een value is doorgegeven (bijvoorbeeld bij radioknoppen)
			el.value = options.value;									// value aan element geven
		}

		if (options.isFor) {											// Als een koppeling van <label> aan <button> is doorgegeven
				// <label> koppelen aan bijbehorende <button>. options.isFor bevat de class van de <button>, dus options.isFor + orderNr levert de unieke id van de <button> op
			el.htmlFor = options.isFor + orderNr;
		}

		if (options.title) {											// Als een title is doorgegeven
			el.title = options.title;									// title aan element geven
		}

		if (options.tabIndex) {											// Als een tabindex is doorgegeven
			if (options.tabIndex === "0" || options.tabIndex === "-1") {	// Als tabindex 0 of -1 is
				el.tabIndex = options.tabIndex;							// Dan gewoon 0 of -1 gebruiken
			} else {													// Andere tabindex dan 0 of -1
				// orderNr = '-' + indexNr. Als je dat met 100 vermenigvuldigt, levert dat een negatief getal op. Dus het absolute getal nemen. Dit levert voor de eerste video 100 op, voor de tweede 200, enz. Hier de opgegeven tabindex bij optellen. De eerst tabindex bij de eerste video is dus 101, bij de tweede video 201, enz. Hierdoor is er tussen de verschillende video's ruimte voor een fors aantal tabindexen die niet bij de bedieningselementen van de video horen.
				el.tabIndex = (Math.abs(100 * orderNr)) + parseInt(options.tabIndex, 10);
			}
		}

		if (options.innerHtml) {										// Als een tekst o.i.d. is doorgegeven
			el.innerHTML = options.innerHtml;							// Tekst e.d. aan element geven
		}

		if (options.checked) {											// Als status van checked is doorgegeven
			el.checked = options.checked;								// checked instellen
		}

		if (options.ariaChecked) {										// Als aria-checked is doorgegeven
			el.setAttribute("aria-checked", options.ariaChecked[0]);	// Aria-checked true of false toevoegen
		}

		if (options.ariaControls) {										// Als aria-controls is doorgegeven
			el.setAttribute("aria-controls", options.ariaControls);		// Aria-controls toevoegen
		}

		if (options.ariaLabel) {										// Als aria-label is doorgegeven
			el.setAttribute("aria-label", options.ariaLabel);			// Aria-label toevoegen
		}

		if (options.ariaLive) {											// Als aria-live is doorgegeven
			el.setAttribute("aria-live", options.ariaLive);				// Aria-live opgeven
		}

		if (options.ariaRole) {											// Als aria role is doorgegeven
			el.setAttribute("role", options.ariaRole);					// Aria role toevoegen
		}

		if (options.ariaHidden) {										// Als aria-hidden is doorgegeven
				// Aria-hidden is true of false. Wordt via array doorgegeven, dus ziet het er iets anders uit dan de rest 
			el.setAttribute("aria-hidden", options.ariaHidden[0]);
		}

		if (options.ariaValue) {										// Als aria-valuemin/max/now zijn doorgegeven
				// Deze waarden zijn via een array doorgegeven, dus ziet er iets anders uit dan de rest
			el.setAttribute("aria-valuemin", options.ariaValue[0]);		// Eerste element uit array hoort bij aria-valuemin
			el.setAttribute("aria-valuemax", options.ariaValue[1]);		// Tweede element uit array hoort bij aria-valuemax
		}

		if (options.data) {												// Als er 'n data-attribuut is doorgegeven
				// Wordt doorgegeven als array. Eerste element is naam van data-attribuut, tweede element is waarde van data-attribuut
			el.setAttribute(options.data[0], options.data[1]);
		}
	
		return el;														// Element met alle attributen enz. retourneren
	}																	// Einde function makeElement(options)




/*********************** Besturingselementen toevoegen aan wrapper-<div> **************************/
		// Besturingselementen toevoegen aan wrapper-<div>
		// indexNr: indexnummer uit nodelist met wrapper-<div>'s
	function addControls(indexNr) {
			// wrapper-<div> inlezen. wrapperDivClassId bevat class, dus class + '-' + indexNr + 1 levert id van wrapper-<div> op
		var wrapper = document.getElementById(wrapperDivClassId + "-" + (indexNr + 1)),
			eList = wrapper.children,									// Kinderen van wrapper-<div> inlezen
			len = eList.length,
			i, hasVideo, videoId, docfrag, el, volumeDocfrag, imageDocfrag;

		for (i = 0; i < len; i++) {										// Alle kinderen controleren
			if (eList[i].tagName === "VIDEO") {							// Als wrapper-<div> een <video> bevat
				hasVideo = true;
				break;													// Verder controleren is niet nodig
			}
		}
		if (!hasVideo) {												// Als de wrapper-<div> geen <video> bevat, wordt het 'n puinhoop
			wrapper.style.borderColor = "red";							// Rode border rond wrapper-<div> zonder <video> zetten
			wrapper.style.borderWidth = "3px";
			wrapper.style.borderStyle = "solid";
				// Melding met id van wrapper-<div> e.d. op scherm zetten
			alert("The red bordered element with id '" + wrapper.id + "' has no <video>-element inside. Because of this error this script cannot run. Inside each element with class '" + wrapperDivClassId + "' MUST a <video>-element be present. This script will terminate now. Videos still can be played with the default built-in videoplayer.");
			return false;												// Script afbreken
		}

			// Class + '-' + indexnummer + 1 is id van video die hieronder eventueel met aria-controls aan bedieningselement wordt gekoppeld
		videoId = videoClassId + "-" + (indexNr + 1);
		
		docfrag = document.createDocumentFragment();					// Opslaan in docfrag tot alles klaar is en in één keer kan worden ingevoegd

		el = makeElement({												// <div> voor bedieningselementen maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: controlsDivClassId,								// Class en eerste deel van id
			ariaRole: "group"											// role = "group"
		});
		docfrag.appendChild(el);										// <div> toevoegen aan documentfragment

		el = makeElement({												// <button> voor afspelen/pauzeren maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: playPauseClassId,									// Class en eerste deel van id
			title: playTitle,
			tabIndex: playPauseTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: playAriaLabel
		});
			// Als de video niet speelt, krijgt de <button> voor spelen/pauzeren een extra class. (classList werkt niet in IE 9)
		el.className += " " + notPlayingClass;
		docfrag.firstChild.appendChild(el);								// <button> toevoegen aan <div> voor bedieningselementen (is firstChild)

		volumeDocfrag = document.createDocumentFragment();				// Documentfragment maken voor besturing geluid
		el = makeElement({												// <div> voor besturing geluid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: soundDivClassId,									// Class en eerste deel van id
			ariaLabel: "sound controls",
			ariaRole: "group"											// role = "group"
		});
		volumeDocfrag.appendChild(el);									// <div> voor besturing geluid toevoegen aan documentfragment

		el = makeElement({												// <button> voor zachter maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: softerClassId,										// Class en eerste deel van id
			tabIndex: softerTabIndex,
			title: softerTitle,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: softerAriaLabel
		});
		volumeDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor besturing geluid (is firstChild)

		el = makeElement({												// <span> om percentage volume voor te lezen maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "span",
			classId: ariaVolumeClassId,									// Class en eerste deel van id
			ariaLive: "polite"											// aria-live="polite"
		});
		volumeDocfrag.firstChild.appendChild(el);						// <span> toevoegen aan <div> voor besturing geluid (is firstChild)

		el = makeElement({												// <span> om percentage volume weer te geven maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "span",
			classId: percentageClassId,									// Class en eerste deel van id
			title: percentageTitle,
				// soundStartVolume is geluidssterkte bij openen pagina. Met 100 vermeningvuldigen en '%' erachter en je hebt het in procenten
			innerHtml: 100 * soundStartVolume + "%",
			ariaLabel: percentageAriaLabel
		});
		volumeDocfrag.firstChild.appendChild(el);						// <span> toevoegen aan <div> voor besturing geluid (is firstChild)

		el = makeElement({												// <button> voor harder maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: louderClassId,										// Class en eerste deel van id
			title: louderTitle,
			tabIndex: louderTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: louderAriaLabel
		});
		volumeDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor besturing geluid (is firstChild)

		el = makeElement({												// <button> voor geluid aan/uit maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: muteClassId,										// Class en eerste deel van id
			title: muteTitle,
			tabIndex: muteTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: muteAriaLabel
		});
		volumeDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor besturing geluid (is firstChild)

		el = makeElement({												// <div> voor sleepbalk geluid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: soundSliderClassId									// Class en eerste deel van id
		});
		volumeDocfrag.firstChild.appendChild(el);						// <div> toevoegen aan <div> voor besturing geluid (is firstChild)

		el = makeElement({												// <div> voor balk van sleepbalk geluid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: soundSliderBeamClassId,							// Class en eerste deel van id
			title: soundSliderBeamTitle,
			tabIndex: soundSliderBeamTabIndex,
			ariaRole: "slider",											// role = "slider"
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: soundSliderBeamAriaLabel,
			ariaValue : [0, 100]										// aria-valuemin, aria-valuema
		});
		volumeDocfrag.firstChild.lastChild.appendChild(el);				// <div> toevoegen aan <div> voor sleepbalk geluid (is firstChild.lastChild)

		el = makeElement({												// <div> voor knop van sleepbalk geluid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: soundSliderButtonClassId,							// Class en eerste deel van id
			title: soundSliderButtonTitle,
			ariaHidden: [true]											// Knop heeft geen enkel nut voor schermlezers
		});
			// <div> toevoegen aan <div> voor balk van sleepbalk geluid (is firstChild.lastChild.firstChild)
		volumeDocfrag.firstChild.lastChild.firstChild.appendChild(el);

		docfrag.firstChild.appendChild(volumeDocfrag);	// <div> met besturing geluid toevoegen aan <div> voor bedieningselementen (is firstChild)

		imageDocfrag = document.createDocumentFragment();				// Documentfragment maken voor besturing afspelen
		el = makeElement({												// <div> voor bedieningselementen afspelen maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: imageDivClassId,									// Class en eerste deel van id
			ariaLabel: "image controls",
			ariaRole: "group"											// role = "group"
		});
		imageDocfrag.appendChild(el);									// <div> voor bedieningselementen afspelen toevoegen aan documentfragment

		el = makeElement({												// <button> voor terug naar begin maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: toBeginClassId,									// Class en eerste deel van id
			title: toBeginTitle,
			tabIndex: toBeginTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: toBeginAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <button> voor vijf procent terug maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: fiveBackClassId,									// Class en eerste deel van id
			title: fiveBackTitle,
			tabIndex: fiveBackTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: fiveBackAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <button> voor tien seconden terug maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: tenBackClassId,									// Class en eerste deel van id
			title: tenBackTitle,
			tabIndex: tenBackTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: tenBackAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <button> voor tien seconden verder maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: tenForwardClassId,									// Class en eerste deel van id
			title: tenForwardTitle,
			tabIndex: tenForwardTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: tenForwardAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <button> voor vijf procent verder gaan maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: fiveForwardClassId,								// Class en eerste deel van id
			title: fiveForwardTitle,
			tabIndex: fiveForwardTabIndex,
			ariaContros: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: fiveForwardAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor afspelen (is firstChild)
		
		el = makeElement({												// <button> voor verder naar einde maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: toEndClassId,										// Class en eerste deel van id
			title: toEndTitle,
			tabIndex: toEndTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: toEndAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <button> voor fullscreen maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "button",
			type: "button",
			classId: fullscreenClassId,									// Class en eerste deel van id
			title: fullscreenTitle,
			tabIndex: fullscreenTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: fullscreenAriaLabel,
			data: ["data-fullscreen", "off"]							// data-fullscreen="off"
		});
		imageDocfrag.firstChild.appendChild(el);						// <button> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <div> voor snelheidsregeling maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: speedClassId,										// Class en eerste deel van id
			ariaRole: "radiogroup",										// role = "radiogroup"
			ariaLabel: speedAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <div> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <input> voor halve snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "input",
			type: "radio",
			classId: speedHalfClassId,									// Class en eerste deel van id
			name: speedName + "-" + (indexNr + 1),					// Levert de name op. <input>'s bij eerste video krijgen 'button-speed-1', enz.
			value: "0.5",
			title: speedHalfTitle,
			tabIndex: speedTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: speedHalfAriaLabel,
			ariaChecked: [false]										// aria-checked="false"
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <input> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <label> voor <input> voor halve snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "label",
			classId: speedHalfLabelClassId,								// Class en eerste deel van id
			isFor: speedHalfClassId,									// Koppelen. makeElement() zorgt voor koppeling aan juiste <input>
			title: speedHalfLabelTitle,
			innerHtml: speedHalfLabelText								// Tekst aan <label> toevoegen
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <label> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <input> voor normale snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "input",
			type: "radio",
			classId: speedDefaultClassId,								// Class en eerste deel van id
			name: speedName + "-" + (indexNr + 1),						// Levert de name op. <input>'s bij video-1 krijgen 'button-speed-1', enz.
			value: "1",
			title: speedDefaultTitle,
			tabIndex: speedTabIndex,
			checked: true,												// Normale snelheid aanvinken bij openen pagina
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: speedDefaultAriaLabel,
			ariaChecked: [true]											// aria-checked="true"
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <input> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <label> voor <input> voor normale snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "label",
			classId: speedDefaultLabelClassId,							// Class en eerste deel van id
			isFor: speedDefaultClassId,									// Koppelen. makeElement() zorgt voor koppeling aan juiste <input>
			title: speedDefaultLabelTitle,
			innerHtml: speedDefaultLabelText							// Tekst aan <label> toevoegen
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <label> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <input> voor anderhalve snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "input",
			type: "radio",
			classId: speedOneHalfClassId,								// Class en eerste deel van id
			name: speedName + "-" + (indexNr + 1),						// Levert de name op. <input>'s bij video-1 krijgen 'button-speed-1', enz.
			value: "1.5",
			title: speedOneHalfTitle,
			tabIndex: speedTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: speedOneHalfAriaLabel,
			ariaChecked: [false]										// aria-checked="false"
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <input> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <label> voor <input> voor anderhalve snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "label",
			classId: speedOneHalfLabelClassId,							// Class en eerste deel van id
			isFor: speedOneHalfClassId,									// Koppelen. makeElement() zorgt voor koppeling aan juiste <input>
			title: speedOneHalfLabelTitle,
			innerHtml: speedOneHalfLabelText							// Tekst aan <label> toevoegen
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <label> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <input> voor dubbele snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "input",
			type: "radio",
			classId: speedDoubleClassId,								// Class en eerste deel van id
			name: speedName + "-" + (indexNr + 1),						// Levert de name op. <input>'s bij video-1 krijgen 'button-speed-1', enz.
			value: "2",
			title: speedDoubleTitle,
			tabIndex: speedTabIndex,
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: speedDoubleAriaLabel,
			ariaChecked: [false]										// aria-checked="false"
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <input> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <label> voor <input> voor dubbele snelheid maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "label",
			classId: speedDoubleLabelClassId,							// Class en eerste deel van id
			isFor: speedDoubleClassId,									// Koppelen. makeElement() zorgt voor koppeling aan juiste <input>
			title: speedDoubleLabelTitle,
			innerHtml: speedDoubleLabelText								// Tekst aan <label> toevoegen
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <label> toevoegen aan <div> voor snelheidsregeling (is firstChild.lastChild)

		el = makeElement({												// <div> voor sleepbalk afspelen maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: imageSliderClassId									// Class en eerste deel van id
		});
		imageDocfrag.firstChild.appendChild(el);						// <div> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <div> voor balk van sleepbalk afspelen maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: imageSliderBeamClassId,							// Class en eerste deel van id
			title: imageSliderBeamTitle,
			tabIndex: imageSliderBeamTabIndex,
			ariaRole: "slider",											// role = "slider"
			ariaControls: videoId,										// Met aria-controls koppelen aan bijbehorende video
			ariaLabel: imageSliderBeamAriaLabel,
			ariaValue: [ariaStartVideoText, ariaEndVideoText]			// aria-valuemin="...", aria-valuemax="..."
		});
		imageDocfrag.firstChild.lastChild.appendChild(el);			// <div> toevoegen aan <div> met sleepbalk afspelen (is firstChild.lastChild)

		el = makeElement({												// <div> voor knop van sleepbalk afspelen maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "div",
			classId: imageSliderButtonClassId,							// Class en eerste deel van id
			title: imageSliderButtonTitle,
			ariaHidden: [true]											// Knop heeft geen enkel nut voor schermlezers
		});
		imageDocfrag.firstChild.lastChild.firstChild.appendChild(el);// <div> toevoegen aan <div> met sleepbalk afspelen (is firstChild.lastChild)

		el = makeElement({												// <span> voor verstreken speelduur maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "span",
			classId: elapsedClassId,									// Class en eerste deel van id
			title: elapsedTitle,
			innerHtml: "00:00",											// Bij openen pagina is verstreken speelduur 00:00
			ariaRole: "timer",											// role = "timer"
			ariaLabel: elapsedAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <span> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <span> voor voorlezen verstreken speelduur maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "span",
			classId: ariaElapsedClassId,								// Class en eerste deel van id
			ariaLive: "polite"											// aria-live="polite"
		});
		imageDocfrag.firstChild.appendChild(el);						// <span> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <span> voor resterende speelduur maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "span",
			classId: remainingClassId,									// Class en eerste deel van id
			title: remainingTitle,
			innerHtml: "--:--",											// Bij openen pagina is verstreken speelduur --:--
			ariaRole: "timer",											// role = "timer"
			ariaLabel: remainingAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <span> toevoegen aan <div> voor afspelen (is firstChild)

		el = makeElement({												// <span> voor totale speelduur maken
			indexNr: indexNr,											// Voor volgnummer van id
			tagName: "span",
			classId: durationClassId,									// Class en eerste deel van id
			title: durationTitle,
			ariaLabel: durationAriaLabel
		});
		imageDocfrag.firstChild.appendChild(el);						// <span> toevoegen aan <div> voor afspelen (is firstChild)

			// Voeg <div> met besturing voor afspelen toe aan <div> met bedieningselementen (is firstChild)
		docfrag.firstChild.appendChild(imageDocfrag);

			// videoNodeList[indexNr] is bijbehorende <video>. Voeg <div> met bedieningselementen in gelijk na deze <video>. (Dat is dus hetzelfde als gelijk voor (inserBefore) het element dat op <video> volgt (videoNodeList[indexNr].nextSibling) ...)
		videoNodeList[indexNr].parentNode.insertBefore(docfrag, videoNodeList[indexNr].nextSibling);
		return true;													// Alles is gelukt, dus true retourneren
	}																	// Einde function addControls(indexNr)




/*************************** Contextmenu binnen controls blokkeren ***************************/
		// Openen contextuele menu binnen controls blokkeren. Heeft geen enkel nut en is alleen maar storend.
	function noContext(e) {
		e.preventDefault();
	}																	// Einde function noContext(e)




/************************** Met sneltoets naar vorige of volgende video gaan ************************/
	function nextVideo(e) {
		var keyCode = e.keyCode,										// Code van ingedrukte toets
			activeElement = document.activeElement,						// Element met focus
				// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
			indexNr = parseInt(activeElement.id.substr(-1), 10) - 1;

		if (e.ctrlKey) {												// Als controltoets is ingedrukt
			switch (keyCode) {
			case 37:													// Pijltje links, een video teruggaan
						// Als geen enkele <button>, <video>, enz. focus had, is indexNr leeg. In dat geval naar de eerste video (0) teruggaan. Anders naar de vorige
				indexNr = (isNaN(indexNr)) ? 0 : --indexNr;
					// Als vanuit de eerste video een wordt teruggegaan, is indexNr minder dan 0: teruggaan kan niet. In dat geval moet in plaats daarvan naar de laatste video worden gegaan.
				indexNr = (indexNr < 0) ? (videoNodeList.length - 1) : indexNr;
				e.preventDefault();										// Voorkom normale werking van deze toetsen (scrollen e.d.)
				break;
			case 39:													// Pijltje rechts, een video verdergaan
					// Als geen enkele <button>, <video>, enz. focus had, is indexNr leeg. In dat geval naar de eerste (0) video gaan. Anders naar de volgende. (Naar de eerste video gaan als niets focus heeft. Eerst stond hier naar de laatste gaan, maar bij laden van de pagina heeft ook niets focus en zou dan met pijltje rechts naar de laatste video worden gegaan, terwijl je dan natuurlijk naar de eerste wilt. Overigens is dit in alle gevallen vermoedelijk beter, als iets buiten 'n videospeler focus heeft, of als niets focus heeft.)
				indexNr = (isNaN(indexNr)) ? 0 : ++indexNr;
					// Als vanuit de laatste video naar de volgende video wordt gegaan, weer naar de eerste video gaan
				indexNr = (indexNr >= videoNodeList.length) ? 0 : indexNr;
				e.preventDefault();										// Voorkom normale werking van deze toetsen (scrollen e.d.)
				break;
			default:													// Als de toets geen pijltje links of rechts was
				return false;											// Doe dan verder niets
			}															// Einde switch (keyCode)
			playPauseNodeList[indexNr].focus();							// Focus op <button> spelen/pauzeren van juiste video zetten
		}
		return false;
	}																	// Einde function nextVideo(e)




/**************************** Afspelen/pauzeren video ******************************/
		// Afspelen/pauzeren van video
	function playPause() {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1,
			speed;

			// Speelduur is nu bekend, dus waarde van data-duration bij wrapper-<div> veranderen van 'unknown' in 'known'
		wrapperDivNodeList[indexNr].setAttribute("data-duration", "known");
			// Als speelduur minimaal 1 uur is, kan het voor de lay-out nodig zijn dat te weten, omdat dan mogelijk ook uren worden weergegeven. Bij een speelduur van meer dan 3600 seconden data-hour="yes", anders data-hour="no"
		wrapperDivNodeList[indexNr].setAttribute("data-hour", (videoNodeList[indexNr].duration >= 3600) ? "yes" : "no");
			// Als de video niet is gepauzeerd en niet aan het einde is aangekomen.
			// (De check op .ended is voor Internet Explorer. Als de video helemaal is afgespeeld, hoort .paused true te worden. Dat gebeurt ook in alle browsers, behalve in IE (zelfs niet in IE 11). Daarin blijft .paused op false staan. Vandaar de extra test op .ended. Zonder deze extra test zou je in IE eerst binnen deze eerste if uitkomen, waarna paused true wordt, en pas bij nogmaals klikken in de else uitkomen. Waardoor je in IE twee keer zou moeten klikken om de video nogmaals af te spelen.)
		if (!videoNodeList[indexNr].paused && !videoNodeList[indexNr].ended) {
			videoNodeList[indexNr].pause();								// Pauzeer de video
			this.title = playTitle;										// Title voor speel/pauzeerknop als video niet speelt
			if (playAriaLabel) this.setAttribute("aria-label", playAriaLabel);	// Eventueel aria-label voor speel/pauzeerknop als video niet speelt
				// Extra class die aangeeft dat video niet speelt toevoegen (classList.add werkt niet in IE 9)
			this.className = playPauseClassId + " " + notPlayingClass;
			clearInterval(elapsed);									// Stop berekenen verstreken speelduur, positie knop sleepbalk afspelen, e.d.
		} else {														// Video is gepauzeerd of aan einde gekomen
				// Internet Epxlorer 9/10/11 zet de snelheid bij afspelen weer op standaard, om een of andere reden. Snelheid opslaan voor het geval hij is gewijzigd, zodat deze kan worden teruggezet
			speed = videoNodeList[indexNr].playbackRate;
			videoNodeList[indexNr].play();								// Speel video af
			videoNodeList[indexNr].playbackRate = speed;				// Hier iets boven opgeslagen snelheid weer terugzetten
			this.title = pauseTitle;									// Title voor speel/pauzeerknop als video speelt
			if (pauseAriaLabel) this.setAttribute("aria-label", pauseAriaLabel);	// Eventueel aria-label voor speel/pauzeerknop als video speelt
				// Extra class die aangeeft dat video niet speelt weer weghalen (classList.remove werkt niet in IE 9). Dit kan het simpelst door gewoon de class voor de speel/pauzeerknop weer terug te zeten: nu staat er weer één class.
			this.className = playPauseClassId;
				// Voor te lezen verstreken speelduur weghalen, er moet pas weer worden voorgelezen als de video handmatig terug- of vooruit wordt gezet
			ariaElapsedNodeList[indexNr].innerHTML = "";
			stopOthers(indexNr);										// Stop alle andere video's
		}
	}																	// Einde function playPause()




		// Afspelen van alle video's stoppen, behalve van de gekozen video
		// indexNr: volgnummer van video die afspeelt in nodelist
	function stopOthers(indexNr) {
		var len = videoNodeList.length,									// nodelist met <video>'s
		i;

		clearInterval(elapsed);										// Stop berekenen verstreken speelduur, positie knop sleepbalk afspelen, e.d.
		for (i = 0; i < len; i++) {										// Bekijk elke <video>
			if (i === indexNr) {										// Als het de <video> is die moet afspelen
				startTime(indexNr);										// Start berekenen en weergeven afgespeelde tijd e.d. voor deze video
				continue;												// Sla deze <video> verder over over
			} else {													// Alle andere <video>'s
				videoNodeList[i].pause();								// Pauzeren. Zo kan er nooit meer dan één tegelijk spelen.
				playPauseNodeList[i].title = playTitle;					// Titel voor speel/pauzeerkno als video niet speelt
					// Eventueel aria-label voor speel/pauzeerknop als video niet speelt
				if (playAriaLabel) playPauseNodeList[i].setAttribute("aria-label", playAriaLabel);
					// Extra class die aangeeft dat video niet speelt toevoegen (classList.add werkt niet in IE9)
				playPauseNodeList[i].className = playPauseClassId + " " + notPlayingClass;
			}
		}
	}																	// Einde function stopOthers(indexNr)




		// Als video helemaal is afgespeeld
	function finished() {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

		playPauseNodeList[indexNr].title = playTitle;					// Titel voor speel/pauzeerknop als video niet speelt
			// Eventueel aria-label voor speel/pauzeerknop als video niet speelt
		if (playAriaLabel) playPauseNodeList[indexNr].setAttribute("aria-label", playAriaLabel);
			// Extra class die aangeeft dat video niet speelt toevoegen (classList.add werkt niet in IE 9)
		playPauseNodeList[indexNr].className = playPauseClassId + " " + notPlayingClass;
		clearInterval(elapsed);										// Stop berekenen verstreken speelduur, positie knop sleepbalk afspelen, e.d.
			// Als setInterval iets te vroeg of te laat de laatste meting doet, kan de verstreken speelduur iets korter zijn dan de totale speelduur, de resterende speelduur niet helemaal op 0 staan, en de sliderknop niet helemaal rechts. Daarom nog eenmaal showTime() aanroepen aan het einde van de video.
		showTime(indexNr);
			// IE 9/10/11 pauzeren de video niet aan het eind van de video (paused blijft op false staan). Als je de video 'n eindje terugzet met de toetsen of de sleepbalk, gaat hij daardoor gewoon weer spelen. Alleen worden tijd en sleepbalk nu niet bijgewerkt. Door de video aan het einde expliciet te pauzeren, werken IE 9/10/11 hetzelfde als alle andere browsers.
		videoNodeList[indexNr].pause();
			// Voor te lezen tekst bij einde video invoegen in <span> voor voorlezen verstreken speelduur
		ariaElapsedNodeList[indexNr].innerHTML = ariaEndVideoText;
	}																	// Einde function finished()




/*************************** Geluidsregeling ************************/
		// Geluid in- en uitschakelen (dempen, mute)
	function mute(e) {
		// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

		if (videoNodeList[indexNr].muted === false) {					// Als geluid niet is uitgeschakeld
			videoNodeList[indexNr].muted = true;						// Schakel dit dan uit
			this.title = unmuteTitle;									// Title voor knop geluid aan/uit als geluid uit staat
				// Extra class die aangeeft dat geluid uit staat toevoegen (classList.add werkt niet in IE 9)
			this.className = muteClassId + " " + mutedClass;
			this.setAttribute("aria-label", unmuteAriaLabel);			// Eventueel aria-label voor knop geluid aan/uit als geluid uit staat
		} else {														// Geluid staat uit
			videoNodeList[indexNr].muted = false;						// Zet geluid aan
			this.title = muteTitle;										// Title voor knop geluid aan/uit als geluid aan staat
				// Extra class die aangeeft dat video niet speelt weer weghalen (classList.remove werkt niet in IE 9). Dit kan het simpelst door gewoon de class voor de geluid aan/uitknop weer terug te zeten: nu staat er weer één class.
			this.className = muteClassId;
			this.setAttribute("aria-label", muteAriaLabel);				// Eventueel aria-label voor knop geluid aan/uit als geluid aan staat
		}
		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
		e.preventDefault();												// Voorkom normale werking van toetsen
	}																	// Einde function mute(e)




		// Regelt beweging sleepbalk van geluid door pointer (en berekening percentage e.d.)
	function soundBeginSliding(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1,
				// Breedte van <div> met knop van sleepbalk voor geluid inclusief eventuele borders inlezen
			widthSliderButton = soundSliderButtonNodeList[indexNr].offsetWidth,
				// Breedte van <div> met balk van sleepbalk voor geluid exclusief eventuele borders inlezen
			widthSliderBeam = soundSliderBeamNodeList[indexNr].clientWidth,
				// Echt beschikbare ruimte is breedte <div> met balk min breedte <div> met knop
			availableSpaceSliderBeam = widthSliderBeam - widthSliderButton,
				// Correctiefactor voor verschil tussen breedte van en echt beschikbare ruimte in balk van sleepbalk. Als de breedte bijvoorbeeld 100 px is en de écht beschikbare ruimte 90 px, is de correctiefactor 90 / 100 = 0,9
			correction = availableSpaceSliderBeam / widthSliderBeam,
			counter = 0,												// Telt aantal keren dat soundSliding() wordt aangeroepen
			len, i, xSliderBeam;

			// Als niet gesleept mag worden, is soundSlidingAllowed -1. Als de pointer wordt ingedrukt, wordt dit vervangen door het indexnummer van de sleepbalk die gesleept mag worden.
		soundSlidingAllowed = indexNr;
		xSliderBeam = getPositionX(soundSliderBeamNodeList[indexNr]);	// Vraag x-coördinaat linkerkant <div> met balk van sleepbalk op

			// Eventlisteners toevoegen voor beweging. Ook op de <div> met de knop van de sleepbalk, anders werkt het niet als je de pointer op exact de knop van de sleepbalk indrukt. Door dit binnen soundBeginSliding() te doen, worden deze eventlisteners pas gekoppeld als soundSlidingAllowed het indexnummer van de sleepbalk heeft gekregen (gebeurt gelijk hierboven). Hierdoor werken deze eventlisteners pas, nadat is geklikt binnen de <div> met de balk van de sleepbalk. Precies de bedoeling: slepen werkt pas nadat is geklikt/aangeraakt.
			// De listener kan, als je meermalen binnen de <div> met de balk van de sleepbalk klikt, meermalen worden toegevoegd. Op zich is het meermalen toevoegen van dezelfde listener geen probleem, omdat er maar eentje werkt. Maar niet alle browsers verwijderen met removeEventListener() álle gelijke listeners. Als je in de sleepbalk van de eerste video sleept en dan, terwijl je de muisknop nog hebt ingedrukt, boven een andere sleepbalk komt, werkt slepen ook hier. Omdat er een eventlistener is. Daarom moet deze worden verwijderd, want dit is natuurlijk uiterst verwarrend.
			// Als er meerdere eventlisteners zijn, moeten deze allemaal worden verwijderd. Zolang er nog eentje is, zal slepen boven een andere sleepbalk ook werken. Daarom moeten álle listeners worden verwijderd. Deze listeners worden alleen in deze functie (gelijk hieronder) aangebracht. Oftewel: vóór het aanbrengeven van deze eventlistener, wordt altijd dit punt gepasseerd.
			// Door dus hier, op dit punt, eerst de listener te verwijderen, kan er nooit meer dan eentje worden geregistreerd. En hoeft er dus altijd maar eentje te worden verwijderd met removeEventListener(). En dat doen alle browsers correct (behalve IE 11, waarvoor verderop een extra controle wordt aangebracht). Als er nog geen listener is aangebracht maakt dat niet uit. In dat geval heeft removeEventListener() gewoon geen enkel effect.
		len = soundSliderBeamNodeList.length;							// Aantal balken van de sleepbalk voor geluid
		for (i = 0; i < len; i++) {
			soundSliderBeamNodeList[i].removeEventListener("pointermove", soundSliding);	// Verwijder eventueel al gekoppelde eventlistener
			soundSliderButtonNodeList[i].removeEventListener("pointermove", soundSliding);	// Verwijder eventueel al gekoppelde eventlistener
			soundSliderBeamNodeList[i].removeEventListener("touchmove", soundSliding);		// Verwijder eventueel al gekoppelde eventlistener
			soundSliderButtonNodeList[i].removeEventListener("touchmove", soundSliding);	// Verwijder eventueel al gekoppelde eventlistener
		}
			// Koppel eventlistener aan <div> met balk van sleepbalk die bewegen van pointer afhandelt
		soundSliderBeamNodeList[indexNr].addEventListener("pointermove", soundSliding);
			// Koppel eventlistener aan <div> met knop van sleepbalk die bewegen van pointer afhandelt
		soundSliderButtonNodeList[indexNr].addEventListener("pointermove", soundSliding);
			// Op iOS en Android werkt pointermove niet. In Google Chrome en Opera op Windows 8 idem. Voor deze systemen en browsers wordt touchmove toegevoegd. (Firefox op Windows 8 kan met beide overweg, maar pointermove 'wint'.)
			// touchstart en touchend zijn niet nodig, omdat pointerdown en pointerup wel worden herkend.
		soundSliderBeamNodeList[indexNr].addEventListener("touchmove", soundSliding);
		soundSliderButtonNodeList[indexNr].addEventListener("touchmove", soundSliding);

			// <div> met knop van sleepbalk voor geluid op juiste plaats binnen <div> met balk van sleepbalk zetten.
			// e.clientX - xSliderBeam: plaats waar op het scherm is geklikt minus begin <div> met balk van sleepbalk
			// correction * bovenstaande uitkomst: correctie voor breedte van de <div> met de knop van de sleepbalk (zoals hierboven bij initialiseren van corection beschreven)
			// min(availableSpaceSliderBeam, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk rechts buiten <div> met balk van sleepbalk kan komen te staan
			// max(0, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk links buiten <div> met balk van sleepbalk kan komen te staan
			// round(): rond af op integers
			// Voeg tenslotte 'px' toe, zodat het resultaat gebruikt kan worden als inlinestyle 'left: ...px' bij de <div> met de knop van de sleepbalk
		soundSliderButtonNodeList[indexNr].style.left = Math.round(Math.max(0, Math.min(availableSpaceSliderBeam, correction * (e.clientX - xSliderBeam)))) + "px";
			// Zet veranderingen op scherm en stel nieuwe volume in. Het eerste argument is de plaats waar is geklikt minus correctie voor begin <div> met balk van de sleepbalk
		showPercentageSliding(e.clientX - xSliderBeam, widthSliderBeam, indexNr);



			// Door soundSliding() binnen soundBeginSliding() te zetten, kan deze functie gebruik maken van een aantal van de de berekeningen van soundBeginSliding(), zodat deze niet steeds herhaald hoeven te worden.
			// Deze functie regelt wat er gebeurt als de pointer ingedrukt blijft boven de sleepbalk (en beweegt). Hij wordt gestopt als ergens op de pagina de pointer omhoog gaat, omdat dan soundSlidingAllowed op -1 wordt gezet.
		function soundSliding(e) {
			var screenX;

			counter++;													// Telt aantal keren dat soundSliding() wordt aangeroepen
				// Alleen als pointer al is ingedrukt mag de slider reageren. Als de pointer niet is ingedrukt, is soundSlidingAllowed -1. Als de pointer al wel is ingedrukt, is soundSlindingAllowd gelijk aan het indexnummer.
				// IE 11 verwijdert de eventlistener niet goed (gebeurt iets hierboven met removeEventListener). Als je op sleepbalk A klikt, vervolgens gaat slepen op sleepbalk B en dan hovert boven sleepbalk A, verspringt sleepbalk A naar een verkeerde positie. Door het nummer van soundSlidingAllowed te vergelijken met het indexnummer van de nodelist, wordt dit voorkomen: alleen als beide nummers gelijk zijn, wordt gesleept.
				// Omdat deze functie nogal veel capaciteit gebruikt, wordt hij maar 1 op de vijf keren volledig uitgevoerd (dit wordt bijgehouden door counter). Dat is vaak genoeg, maar bespaart 80% beslag op de capaciteit. Deze events vuren in een moordend tempo af, dus ook bij 1 op de 5 verschuift de sleepbalk nog soepel.
			if (soundSlidingAllowed === indexNr && (counter % 5 === 0)) {
					// Als de event 'pointermove' is, kan gewoon e.clientX worden ingelezen. Als de event 'touchmove' is, wordt het punt van de eerste aanraking gebruikt
				screenX = (e.type === "pointermove") ? e.clientX : e.changedTouches[0].clientX;
					// <div> met knop van sleepbalk op juiste plaats binnen <div> met balk van sleepbalk zetten.
					// screenX - xSliderBeam: plaats waar op het scherm is geklikt minus correcties voor begin <div> met balk van sleepbalk en breedte van <div> met knop van sleepbalk
					// correction * bovenstaande uitkomst: correctie voor breedte van de <div> met de knop van de sleepbalk
					// min(availableSpaceSliderBeam, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk rechts buiten <div> met balk van sleepbalk kan komen te staan
					// max(0, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk links buiten <div> met balk van sleepbalk kan komen te staan
					// round(): rond af op integers
					// Voeg tenslotte 'px' toe, zodat het resultaat gebruikt kan worden als inlinestyle 'left: ...px' bij de <div> met de knop van de sleepbalk
				soundSliderButtonNodeList[indexNr].style.left = Math.round(Math.max(0, Math.min(availableSpaceSliderBeam, correction * (screenX - xSliderBeam)))) + "px";
					// Voeg tenslotte 'px' toe, zodat het resultaat gebruikt kan worden als inlinestyle 'left: ...px' bij de <div> met de knop van de sleepbalk
				showPercentageSliding(screenX - xSliderBeam, widthSliderBeam, indexNr);
			}
			e.stopPropagation();										// Voorkom dat event omhoog bubbelt en daar storend werkt
			e.preventDefault();											// Voorkom normale werking van deze toetsen
		}																// Einde function soundSliding(e)
		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
	}																	// Einde function soundBeginSliding(e)




		// x-coördinaat van linkerzijkant element verkrijgen
		// element: element waarvan x-coördinaat opgevraagd moet worden
	function getPositionX(element) {
		var x = 0;

		while (element) {												// Zolang het element ouders heeft (dus tot bij <html> wordt uitgekomen)
				// Afstand tussen linkerkant van eerste gepositioneerde ouder (of <html> als die er niet (meer) is) en linkerkant van element + breedte van eventuele linkerborder van element. Dit bij elkaar blijven optellen tot er geen ouders meer zijn, dan heb je afstand tussen de linkerkant van het element en de linkerkant van het browservenster.
			x += (element.offsetLeft + element.clientLeft);
				// element = eerste ouder met position. Als die er niet meer zijn, ben je bij <html> uitgekomen en dus klaar.
			element = element.offsetParent;	
		}
		return x;														// x-coördinaat retourneren
	}																	// Einde function getPositionX(element)




		// Toon percentage volume en stel volume in. Wordt aangestuurd door slepen van sleepbalk geluid met pointer (soundBeginSliding() en soundSliding())
		// place: x-coördinaat van klik/aanraking binnen <div> met balk van sleepbalk voor geluid
		// widthSliderBeam: breedte van <div> met balk van sleepbalk voor geluid
		// indexNr: indexnummer in diverse nodelists
	function showPercentageSliding(place, widthSliderBeam, indexNr) {
			// Als place bijv. 15 is en de sleepbalk is 200 px breed, is het percentage 15 / 200. Keer 100, om echte procenten te krijgen. Het geheel wordt afgerond op gehele getallen.
		var percentage = Math.round(place / widthSliderBeam * 100);

			// Er is een kleine kans dat naar 101 wordt afgerond, of dat de 100% nooit wordt gehaald omdat juist niet hoger dan 99 wordt afgerond. Dit voorkomt beide problemen. Alleen wordt 99% nu nooit weergegeven, maar dat lijkt me geen probleem.
		if (percentage >= 99) {
			percentage = 100;
			// Er is een kleine kans dat naar -1 wordt afgerond, of dat de 0% nooit wordt gehaald omdat juist niet lager dan 1 wordt afgerond. Dit voorkomt beide problemen. Alleen wordt 1% nu nooit weergegeven, maar dat lijkt me geen probleem.
		} else if (percentage <= 1) {
			percentage = 0;
		}

		percentageNodeList[indexNr].innerHTML = percentage + "%";		// Zet percentage geluidssterkte in <span>
			// Bij wrapper-<div> percentage in data-volume aanpassen aan nieuwe geluidssterkte (bij 20% volume bijvoorbeeld 'percent-20')
		wrapperDivNodeList[indexNr].setAttribute("data-volume", "percent-" + twoDigits(percentage));
		videoNodeList[indexNr].volume = (percentage / 100).toFixed(2);	// Stel volume van bijbehorende <video> in
			// Bij loslaten pointer nieuwe volumesterkte bij deze video voorlezen.
			// Dit voorlezen wordt geregeld door een pointerup eventlistener op document. Deze listener roept met een kleine vertraging speakVolume() aan, wat het voorlezen verder afhandelt.
		ariaSpeakVolume = indexNr;
	}																	// Einde function showPercentageSliding(place, widthSliderBeam, indexNr)




		// Regelt bediening sleepbalk geluid door toetsen
	function soundSliderKey(e) {

			// Speciale toetsen eruit filteren, zodat deze hun normale werking blijven houden. Als je dat niet doet en de sleepbalk voor geluid heeft toevallig focus, werken bijvoorbeeld de sneltoetsen voor navigeren alt + pijltje niet.
		if (e.altKey || e.ctrlKey || e.shiftKey || e.metaKey || e.accelKey) {
			return false;												// Niets doen
		}

			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1,
			keyCode = e.keyCode,										// Code van ingedrukte toets opslaan
				// Lees huidige percentage volumesterkte in uit <span> voor weergave volumesterkte
			percentage = parseInt(percentageNodeList[indexNr].innerHTML, 10);

		switch (keyCode) {
		case 33:														// PgUp
			percentage += 10;											// Volume 10% verhogen
			break;
		case 34:														// PgDn
			percentage -= 10;											// Volume 10% verlagen
			break;
		case 35:														//End
			percentage = 100;											// Volume naar 100%
			break;
		case 36:														// Home
			percentage = 0;												// Volume naar 0%
			break;
		case 37:														// Pijltje naar links
		case 40:														// Pijltje omlaag
			percentage--;												// Volume 1% verlagen
			break;
		case 38:														// Pijltje omhoog
		case 39:														// Pijltje naar rechts
			percentage++;												// Volume 1% verhogen
			break;
		default:
			return false;
		}																// Einde switch (keyCode)

		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
		e.preventDefault();												// Voorkom normale werking van deze toetsen (scrollen e.d.)

		showPercentageKey(percentage, indexNr);							// Zet veranderingen op scherm en stel nieuwe volume in
		return false;
	}																	// Einde function soundSliderKey(e)
	

	
	
		// Regelt toetsbediening knoppen voor harder en zachter
	function keySofterLouder(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1,
			keyCode = e.keyCode,										// Code van ingedrukte toets opslaan
				// Lees huidige percentage volumesterkte in uit <span> voor weergave volumesterkte
			percentage = parseInt(percentageNodeList[indexNr].innerHTML, 10);

				// Enter of spatiebalk in <button> zachter (softerClassId bevat class van <button> zachter)
		if (e.target.className === softerClassId && (keyCode === 13 || keyCode === 32)) {
			percentage--;												// Volume 1% verlagen
			// Enter of spatiebalk in <button> harder (louderClassId bevat class van <button> harder)
		} else if (e.target.className === louderClassId && (keyCode === 13 || keyCode === 32)) {
			percentage++;												// Volume 1% verhogen
		} else {
			return false;												// Behalve Enter en spatiebalk alle toetsen negeren
		}
		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
		e.preventDefault();												// Voorkom normale werking van deze toetsen
		showPercentageKey(percentage, indexNr);							// Zet veranderingen op scherm en stel nieuwe volume in
		return false;
	}																	// Einde function keySofterLouder(e)




			// Regelt pointer e.d. voor knoppen voor harder en zachter
	function pointerSofterLouder(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1,
				// Lees huidige percentage volumesterkte in uit <span> voor weergave volumesterkte
			percentage = parseInt(percentageNodeList[indexNr].innerHTML, 10),
			counter = 1;												// Telt aantal herhalingen als pointer ingedrukt blijft

		if (e.target.className === softerClassId) {						// Op <button> zachter geklikt/aangeraakt
			percentage--;												// Volume 1% verlagen
		} else if (e.target.className === louderClassId) {				// Op <button> harder geklikt/aangeraakt
			percentage++;												// Volume 1% verhogen
		}
		showPercentageKey(percentage, indexNr);							// Zet veranderingen op scherm en stel nieuwe volume in
			// Als setInterval al is opgegeven (wordt gelijk hieronder geregeld), bevat pointerRepeat het volgnummer van die setInterval en bevat dus een positief getal. Als setInterval nog niet is opgegeven, is de waarde van pointerRepeat -1. Als hier niet op wordt gecontroleerd, kan setInterval in een oneindige lus terecht komen, omdat het steeds opnieuw wordt opgegeven. Dit heeft op een of andere manier te maken met de lengte van de aanraking van het touchscreen. Hoe dan ook: deze voorwaarde voorkomt dat.
		if (pointerRepeat === -1) {										// Als setInterval nog niet is opgegeven
			if (e.target.className === softerClassId) {					// Op <button> zachter geklikt/aangeraakt
					// Om de 0,05 seconde percentage 1% verlagen. Zet veranderingen op scherm en stel nieuwe volume in
				pointerRepeat = setInterval(function () {showPercentageKey(--percentage, indexNr, counter++); }, 50);
			} else if (e.target.className === louderClassId) {			// Op <button> harder geklikt/aangeraakt
					// Om de 0,05 seconde percentage 1% verlagen. Zet veranderingen op scherm en stel nieuwe volume in
				pointerRepeat = setInterval(function () {showPercentageKey(++percentage, indexNr, counter++); }, 50);
			}
		}
		return false;
	}																	// Einde function pointerSofterLouder(e)




		// Toon percentage volume, zet knop van sleepbalk geluid op goede plaats en stel volume in. Wordt aangestuurd als volumesterkte met toetsen wordt bediend, en door pointer op knoppen Zachter en Harder
		// Deze functie wordt herhaald aangeroepen als de toets blijft ingedrukt. Je zou een aantal gegevens ook één keer in kunnen lezen, bij het begin van de herhaling. Dat levert echter geen merkbare snelheidsvermeerdering op, maar maakt wel de code ingewikkelder. Bovendien mag dit ook niet te snel worden, want dan wordt de slider een racebaan.
		// percentage: percentage dat moet worden weergegeven.
		// indexNr: indexnummer uit nodelists met besturingselementen
		// counter: telt aantal keren dat functie wordt aangeroepen, als pointer ingedrukt blijft (is afwezig als functie door toetsbediening wordt aangeroepen)
	function showPercentageKey(percentage, indexNr, counter) {
		var time, difference, newTime, availableSpaceSliderBeam;

			// Als de pointer wordt ingedrukt, wordt deze functie één keer aangeroepen. Ook als de pointer daarna gelijk omhoog komt en de functie dus niet herhaald moet worden aangeroepen, wordt de functie nog minimaal één keer aangeroepen. Bij de eerste aanroep is counter afwezig, bij de tweede aanroep is counter aanwezig. Ook als de functie via toetsbediening wordt aangeroepen, is counter afwezig. counter kan dus worden gebruikt om onderstaande voorwaarde alleen te testen bij de tweede (en later) keer aanroepen van de functie via de pointer, (en niet bij de eerste keer aanroepen via de pointer of bij aanroepen via toetsbediening).
			// In onderstaande lus wordt de eerste herhaalde aanroep daarom afgebroken. Bij latere aanroepen is counter groter dan 1 en wordt de functie dus wel gewoon afgewerkt. Zou dit niet gebeuren, dan zou deze functie bij aanroepen via de pointer altijd minimaal twee keer worden uitgevoerd.
			// Verder is een kleine vertraging ingebouwd. Bij de eerste herhaalde aanroep wordt 'n halve seconde gepauzeerd. Hierdoor is er 'n duidelijk onderscheid tussen het één keer indrukken van de pointer en het langer ingedrukt houden, waarbij de functie herhaald aangeroepen moet worden.
			// (Oorspronkelijk stond hieronder if(counter < 1) en while (difference < 500), dus alleen bij de eerste herhaalde aanroep een vertraging van 0,5 seconde. Trageren touchscreens missen dan echter stopPointerRepeat(): de functie die het repeteren van de toets afbreekt door pointerRepeat te clearen. Als je binnen die halve seconde je vinger weer van het scherm haalde, bleeft de toets repeteren. Door die halve seconde in drie delen van elk 0,2 seconde te hakken, is dat probleem opgelost: het blijkt onmogelijk te zijn om binnen 0,2 seconde je vinger van het scherm te halen. Nu wordt binnen de vertraging van 0,6 seconde elke 0,2 seconde gekeken, of het scherm nog wel wordt aangeraakt, waardoor stopPonterRepeat() niet meer wordt gemist.)
		if (counter < 3) {												// Is alleen zo bij de tweede aanroep met gebruik van een pointer
			time = new Date().getTime();								// Lees tijd in milliseconden in
			difference = 0;
				// Zodra verschil 200 milliseconden is. Dit levert een kleine vertraging op voordat toetsherhaling begint
			while (difference < 200) {
				newTime = new Date().getTime();							// Lees tijd in milliseconden in
				difference = newTime - time;							// Trek begintijd af van huidige tijd
			}
			return false;
		}

			// Op slechtere touchscreens wordt soms niet geregistreerd dat de pointer (in dit geval de vinger) van het scherm is gehaald. Dat betekent dat de knop blijft repeteren, tot 0% of 100% is bereikt. Daarom wordt na 20 keer dit repeteren gestopt. Pas na opnieuw aanraken van de knop, wordt het repeteren hervat. Omdat het in stappen van 20% gaat, zal dit niet echt storend zijn.
		if (counter === 20) {
			stopPointerRepeat();
			return false;
		}

		percentage = Math.max(0, Math.min(100, percentage));			// Percentage mag niet onder 0 of boven 100 uitkomen
		percentageNodeList[indexNr].innerHTML = percentage + "%";		// Geef percentage volume weer in daarvoor bestemde <span>
			// Bij wrapper-<div> percentage in data-volume aanpassen aan nieuwe geluidssterkte, bijvoorbeeld data-volume='percent-25'
		wrapperDivNodeList[indexNr].setAttribute("data-volume", "percent-" + twoDigits(percentage));
		videoNodeList[indexNr].volume = (percentage / 100).toFixed(2);	// Stel volume van bijbehorende <video> in

			// Echt beschikbare ruimte is breedte van <div> met balk van sleepbalk (exclusief eventuele borders) min breedte van <div> met knop van sleepbalk (inclusief eventuele borders)
		availableSpaceSliderBeam = soundSliderBeamNodeList[indexNr].clientWidth - soundSliderButtonNodeList[indexNr].offsetWidth;
			// availableSpaceSliderBeam / 100: aantal px gedeeld door 100. Elk procent krijgt dit aantal pixels, dus vermeningvuldigen met percentage. 'px' toevoegen en we hebben de afstand waarop de <div> met de knop van de sleepbalk vanaf links moet worden neergezet
		soundSliderButtonNodeList[indexNr].style.left = Math.round(availableSpaceSliderBeam / 100 * percentage) + "px";

			// Bij loslaten toets/pointer nieuwe geluidssterkte bij deze <video> voorlezen.
			// ariaSpeakVolume is normaal genomen -1. Alleen als indexNr een positief getal is, wordt voorgelezen. Omdat dit positieve getal het indexnummer uit de nodelists is, is gelijk bekend van welke <video> de geluidssterkte moet worden voorgelezen.
		ariaSpeakVolume = indexNr;
		
		return false;
	}																	// Einde function showPercentageKey(percentage, indexNr, counter)




		// Lees nieuw ingestelde volumesterkte in procenten voor
	function speakVolume() {
			// ariaSpeakVolume bevat het volgnummer van de video waarbij de volumesterkte moet worden voorgelezen. Als niets moet worden voorgelezen, is ariaSpeakVolume -1.
			// Alleen volume opvragen als ariaSpeakVolume >= 0 is. Bij -1 levert zoeken in een nodelist 'n fout op... Met honderd vermenigvuldigen, afronden en zorgen dat eindresultaat niet boven 100 of onder 0 uitkomt.
		var volume = (ariaSpeakVolume >= 0) ? Math.round(Math.max(0, Math.min(100, (100 * videoNodeList[ariaSpeakVolume].volume)))) : volume;

		if (isNaN(volume)) return false;								// Als volume (om wat voor reden dan ook) onbekend is, doe dan verder niets

			// Alleen als de video is gepauzeerd of aan het einde staat, moet het nieuwe volume worden opgelezen. Als de video speelt, wordt het nieuwe volume vanzelf al gehoord. Voorlezen is dan alleen maar hoogst irritant. Enige nadeel: als de video geen geluid heeft, wordt dat niet aangegeven door het voorlezen van de geluidssterkte. Om dat op te lossen wordt de geluidssterkte toch voorgelezen als die 0 of 100% is. (De test op ended is nodig voor IE, want zelfs versie 11 laat paused ten onrechte op false staan als de video is geëindigd.)
		if (videoNodeList[ariaSpeakVolume].paused || videoNodeList[ariaSpeakVolume.ended] || volume === 0 || volume === 100) {
			ariaVolumeNodeList[ariaSpeakVolume].innerHTML = volume + " " + ariaVolumeText;
			ariaSpeakVolume = -1;										// Een keer voorlezen is genoeg, dus op -1 zetten
		}
	
		return false;
	}																	// Einde function speakVolume()




		// Regelt het stoppen van herhalingen, als de pointer niet meer omlaag wordt gedrukt. Deze herhalingen zijn in pointerSofterLouder() en pointerBackForward() ingesteld met een setInterval, waarvan het nummer in pointerRepeat is opgeslagen.
	function stopPointerRepeat(e) {
		if (pointerRepeat !== -1) {										// Dan is er een nummer van een setInterval in opgeslagen
			clearInterval(pointerRepeat);								// Verwijder die setInterval
			pointerRepeat = -1;											// En geef aan dat setInterval niet meer in werking is
			e.stopPropagation();										// Voorkom dat event omhoog bubbelt en daar storend werkt
			e.preventDefault();											// Voorkom normale werking
		}
	}																	// Einde function stopPointerRepeat




/**************************** <button>'s voor voor- en achteruitgaan en fullscreen **************************/
		// <button> naar begin video. Wordt geactiveerd door klikken, aanraken en - als <button> focus heeft Enter en spatiebalk.
	function toBegin() {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

			// Als de speelduur van de betreffende <video> nog niet bekend is, werkt deze functie nog niet. In dat geval heeft attribuut data-duration bij de betreffende wrapper-div> een waarde van 'unknown'.
		if (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "unknown") {
			showDurationText(false, indexNr);							// Toon melding speelduur nog onbekend
			return false;												// Doe verder niets
		}

		videoNodeList[indexNr].currentTime = 0;							// Verstreken speelduur bij betreffende <video> op 0 zetten
		showTime(indexNr);					// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.
		ariaElapsedNodeList[indexNr].innerHTML = ariaStartVideoText;	// Voor te lezen tekst bij begin video in <span> voor voorlezen zetten

		return false;
	}																	// Einde function toBegin()




		// Regelt toetsbediening <button>'s voor terug en verder gaan
	function keyBackForward(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

			// Als de speelduur van de betreffende <video> nog niet bekend is, werkt deze functie nog niet. In dat geval heeft attribuut data-duration bij de betreffende wrapper-div een waarde van 'unknown'.
		if (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "unknown") {
			return false;												// Doe verder niets
		}

		var keyCode = e.keyCode,										// Code van ingedrukte toets opslaan
			vijfPercent = 0.05 * videoNodeList[indexNr].duration;		// Uitrekenen hoeveel tijd 5% van de totale speelduur is

			// Enter of spatiebalk in <button> vijf procent terug
		if (e.target.className === fiveBackClassId && (keyCode === 13 || keyCode === 32)) {
			videoNodeList[indexNr].currentTime -= vijfPercent;			// Huidige tijd met vijf procent verlagen
			// Enter of spatiebalk in <button> tien seconden terug
		} else if (e.target.className === tenBackClassId && (keyCode === 13 || keyCode === 32)) {
			videoNodeList[indexNr].currentTime -= 10;					// Huidige tijd met tien seconden verlagen
			// Enter of spatiebalk in <button> tien seconden verder
		} else if (e.target.className === tenForwardClassId && (keyCode === 13 || keyCode === 32)) {
			videoNodeList[indexNr].currentTime += 10;					// Huidige tijd met tien seconden verhogen
			// Enter of spatiebalk in <button> vijf procent verder
		} else if (e.target.className === fiveForwardClassId && (keyCode === 13 || keyCode === 32)) {
			videoNodeList[indexNr].currentTime += vijfPercent;			// Huidige tijd met vijf procent verhogen
		} else {													// Alleen Enter en spatiebalk worden afgehandeld, alle andere toetsen negeren
			return false;
		}
		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
		e.preventDefault();												// Voorkom normale werking van deze toetsen
		showTime(indexNr);					// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.
			// Bij loslaten toets/pointer wordt de nieuwe verstreken tijd die bij deze <video> hoort voorgelezen. Dit wordt geregeld door de eventlisteners pointerup en keyup op document door het aanroepen van speakTime(). speakTime() geeft ook weer een waarde van -1 aan ariaSpeakTime, waardoor slechts één keer wordt voorgelezen.
		ariaSpeakTime = indexNr;
		return false;
	}																	// Einde function keyBackForward(e)




		// <button> naar einde video. Wordt geactiveerd door klikken, aanraken en - als <button> focus heeft Enter en spatiebalk.
	function toEnd() {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

			// Als de speelduur van de betreffende <video> nog niet bekend is, werkt deze functie nog niet. In dat geval heeft attribuut data-duration bij de betreffende wrapper-<div> een waarde van 'unknown'.
		if (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "unknown") {
			showDurationText(false, indexNr);							// Toon melding speelduur nog onbekend
			return false;												// Doe verder niets
		}

			// Bij betreffende <video> verstreken speelduur gelijk maken aan totale speelduur
		videoNodeList[indexNr].currentTime = videoNodeList[indexNr].duration;
		ariaElapsedNodeList[indexNr].innerHTML = ariaEndVideoText;		// Voor te lezen tekst bij begin video in <span> voor voorlezen zetten
		showTime(indexNr);					// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.

		return false;
	}																	// Einde function toEnd()




		// <button> fullscreen. Wordt geactiveerd door klikken, aanraken en - als <button> focus heeft Enter en spatiebalk.
	function fullscreen(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

			// Als de speelduur van de betreffende <video> nog niet bekend is, werkt deze functie nog niet. In dat geval heeft attribuut data-duration bij de betreffende wrapper-<div> een waarde van 'unknown'.
		if (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "unknown") {
			showDurationText(false, indexNr);							// Toon melding speelduur nog onbekend
			return false;												// Doe verder niets
		}

		var video = videoNodeList[indexNr],								// Huidige <video> opslan
			width = getComputedStyle(video).width,						// Huidige breedte van <video> opslaan
			height = getComputedStyle(video).height,					// Huidige hoogte van <video> opslaan
			position = getComputedStyle(video).position,				// Huidige positie van <video> opslaan
			top = getComputedStyle(video).top,							// Huidige top van <video> opslaan
			left = getComputedStyle(video).left,						// Huidige left van <video> opslaan
			zIndex = getComputedStyle(video).zIndex;					// Huidige z-index van <video> opslaan

			// Voor iOS is pointerdown nodig om weer terug te gaan naar niet-venstervullende weergave. Maar als je dan in Internet Explorer 9 of 10 als de video venstervullend is de spatiebalk of de Enter-toets gebruikt, en niet de muis, werkt dat als een klik op de knop voor venstervullend. Want die heeft nog steeds focus. Dus wordt fullscreen() nogmaals aangeroepen. Maar bij deze tweede aanroep worden de breedte, hoogte e.d. van de venstervullende <video> ingelezen. Weer niet-venstervullend weergeven door klikken werkt nu niet meer, omdat nu de waarden van de venstervullende <video> worden teruggezet. En de <video> dus venstervullend blijft.
			// Daarom moet een tweede aanroep van fullscreen(), als <video> al venstervullend is, worden voorkomen. Daarvoor wordt gecontroleerd op een aantal css-eigenschappen.
			// Als de positie al fixed is, is <video> waarschijnlijk al venstervullend en moeten de waarden dus niet nogmaals worden ingelezen. Om helemáál zeker te zijn dat <video> al venstervullend is, wordt ook nog op een idiote waarde voor z-index (137720) gecontroleerd. Deze waarde wordt bij de eerste aanroep van fullscreen() opgegeven.  De kans dat iemand 'n z-index van 137720 in combinatie met een fixed positie gebruikt is kleiner dan de kans op het winnen van de hoofdprijs in de Staatsloterij.
		if (position === "fixed" && zIndex === "137720") return false;	// <video> is al venstervullend, doe verder niets

			// Als de browser requestFullscreen kent, is het 'n stuk simpeler. Dan is bovenstaande verhaal overbodig, omdat de afhandelin van fullscreen in de browser is ingebouwd.
		if (video.requestFullscreen) {
			video.requestFullscreen();
		} else if (video.msRequestFullscreen) {
			video.msRequestFullscreen();
		} else if (video.mozRequestFullScreen) {
			video.mozRequestFullScreen();
		} else if (video.webkitRequestFullscreen) {
			video.webkitRequestFullscreen();
		} else {														// Browser is te oud (of te slecht) en kent requestFullscreen niet
				// attribuut data-fullscreen='on' toevoegen aan betrefffende <button>. Dit biedt een aanknopingspunt voor css voor bijvoorbeeld een melding hoe je fullscreen weer af kunt sluiten.
			fullscreenNodeList[indexNr].setAttribute("data-fullscreen", "on");
			video.style.width = "100%";									// Volle breedte van venster vullen met <video>
			video.style.height = "100%";								// Volle hoogte van venster vullen met <video>
			video.style.position = "fixed";								// positie van <video> koppelen aan venster van de browser
			video.style.top = "30px";									// <video> bovenaan venster zetten, met kleine ruimte voor melding o.i.d.
			video.style.left = "0";										// <video> aan linkerkant venster zetten
			video.style.zIndex = "137720";						// Video moet altijd zichtbaar zijn. Voor de idiote waarde zie verhaal iets hoger.
				// Aan document een eventlistener voor pointerdown koppelen om <video> weer niet-venstervullend weer te geven. Met een kleine vertraging van 0,5 seconde omdat anders bij het weer kleiner worden van <video> een eventueel op de plek van de pointer zittende <button> e.d. geactiveerd wordt door de pointer. Nu is er 'n halve seconde om de pointer weer los te laten voor de eronder zittende <button> e.d. wordt geactiveerd.
				// Aan pointerWindowedVideo() worden de hierboven oopgeslagen css-eigenschappen meegegeven.
			document.addEventListener("pointerdown", function () {setTimeout(function () {pointerWindowedVideo(e, indexNr, video, width, height, position, top, left, zIndex); }, 500); });
				// Ook met behulp van de Escape-toets moet naar niet-venstervullend teruggegaan kunnen worden. Daarom eventlistener voor keydown toevoegen aan document. Om af te dwingen dat altijd recente waarden voor hoogte e.d. voor het weer niet-venstervullend maken worden gebruikt, moet deze functie binnen fullscreen() staan. Anders zou aangeroepen kunnen worden buiten fullscreen() om, waardoor waarden van een eerdere aanroep (en dus van een andere <video>) gebruikt zouden kunnen worden.
				// Omdat deze eventlister blijft bestaan, wordt gecontroleerd op drie dingen voor deze functie wordt uitgevoerd. 1) De toets moet de Escape-toets zijn. 2) De position moet fixed zijn. 3) De z-index moet de idiote waarde 137720 hebben. Als niet aan deze drie voorwaarden wordt voldaan, wordt de functie niet uitgevoerd. Hierdoor werkt de Escape-toets alleen op deze manier binnen deze functie, en ontstaan geen problemen als elders op de pagina de Escape-toets wordt ingedrukt.
				// parseInt() bij z-index is nodig voor IE 9/10
			document.addEventListener("keydown", function (e) {
				if (e.keyCode === 27 && getComputedStyle(video).position === "fixed" && parseInt(getComputedStyle(video).zIndex, 10) === 137720) {
					video.style.width = width;							// Hierboven opgeslagen breedte van <video> terugzetten
					video.style.height = height;						// Hierboven opgeslagen hoogte van <video> terugzetten
					video.style.position = position;					// Hierboven opgeslagen position van <video> terugzetten
					video.style.top = top;								// Hierboven opgeslagen top van <video> terugzetten
					video.style.left = left;							// Hierboven opgeslagen left van <video> terugzetten
					video.style.zIndex = zIndex;						// Hierboven opgeslagen z-index van <video> terugzetten
						// <video> is niet meer fullscreen, dus waarde van attribuut data-fullscreen bij <video> aanpassen
					fullscreenNodeList[indexNr].setAttribute("data-fullscreen", "off");
				}
			});
		}																// Einde if (video.requestFullscreen)

		return false;
	}																	// Einde function fullscreen(e)




		// Video's weer niet-venstervullend weergeven voor browsers die requestFullScreen niet kennen
		// indexNr: volgnummer van <video> e.d. in nodelists
		// video: <video> die weer niet-venstervullend gemaakt moet worden
		// width: oorspronkelijke breedte van <video>
		// height: oorspronkelijke hoogte van <video>
		// position: oorspronkelijke positie van <video>
		// top: oorspronkelijke top van <video>
		// left: oorspronkelijke left van <video>
		// zIndex: oorspronkelijke z-index van <video>
	function pointerWindowedVideo(e, indexNr, video, width, height, position, top, left, zIndex) {
		fullscreenNodeList[indexNr].className = fullscreenClassId;
		video.style.width = width;										// Oorspronkelijke breedte van <video> terugzetten
		video.style.height = height;									// Oorspronkelijke hoogte van <video> terugzetten
		video.style.position = position;								// Oorspronkelijke position van <video> terugzetten
		video.style.top = top;											// Oorspronkelijke top van <video> terugzetten
		video.style.left = left;										// Oorspronkelijke left van <video> terugzetten
		video.style.zIndex = zIndex;									// Oorspronkelijke z-index van <video> terugzetten
			// <video> is niet meer fullscreen, dus waarde van attribuut data-fullscreen bij <video> aanpassen
		fullscreenNodeList[indexNr].setAttribute("data-fullscreen", "off");
		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
		document.removeEventListener("pointerdown", pointerWindowedVideo);		// eventlistener is niet meer nodig
	}																	// Einde function pointerWindowedVideo(e, indexNr, video, ...)




		// Regelt pointer voor <button>'s voor terug en verder
	function pointerBackForward(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;
		
			// Als de speelduur van de betreffende <video> nog niet bekend is, werkt deze functie nog niet. In dat geval heeft attribuut data-duration bij de betreffende wrapper-<div> een waarde van 'unknown'.
		if (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "unknown") {
			showDurationText(false, indexNr);							// Toon melding speelduur nog onbekend
			e.preventDefault();											// Voorkom normale werking van pointer
			return false;												// Doe verder niets
		}
		
		var	counter = 1,												// Telt aantal herhalingen als pointer ingedrukt blijft
			vijfPercent = 0.05 * videoNodeList[indexNr].duration,		// Uitrekenen hoeveel tijd 5% van de totale speelduur is
			difference;

		if (e.target.className === fiveBackClassId) {					// Op <button> vijf procent terug geklikt/aangeraakt
			videoNodeList[indexNr].currentTime -= vijfPercent;			// Huidige tijd met vijf procent verlagen
			difference = vijfPercent;									// Met 5% vooruit of teruggaan
		} else if (e.target.className === tenBackClassId) {				// Op <button> tien seconden terug geklikt/aangeraakt
			videoNodeList[indexNr].currentTime -= 10;					// Huidige tijd met tien seconden verlagen
			difference = 10;											// Met 10 seconden teruggaan
		} else if (e.target.className === tenForwardClassId) {			// Op <button> tien seconden verder geklikt/aangeraakg
			videoNodeList[indexNr].currentTime += 10;					// Met 10 seconden vooruitgaan
			difference = 10;
		} else if (e.target.className === fiveForwardClassId) {			// Op <button> vijf procent verder geklikt/aangeraakt
			videoNodeList[indexNr].currentTime += vijfPercent;			// Huidige tijd met vijf procent verhogen
			difference = vijfPercent;									// Met 5% vooruit of teruggaan
		}
		
		showTime(indexNr);					// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.
			// Bij loslaten toets/pointer wordt de nieuwe verstreken tijd die bij deze <video> hoort voorgelezen. Dit wordt geregeld door de eventlisteners pointerup en keyup op document door het aanroepen van speakTime(). speakTime() geeft ook weer een waarde van -1 aan ariaSpeakTime, waardoor slechts één keer wordt voorgelezen.
		ariaSpeakTime = indexNr;
			// Als setInterval al is opgegeven (wordt gelijk hieronder geregeld), bevat pointerRepeat het volgnummer van die setInterval en bevat dus een positief getal. Als setInterval nog niet is opgegeven, is de waarde van pointerRepeat -1. Als hier niet op wordt gecontroleerd, kan setInterval in een oneindige lus terecht komen, omdat het steeds opnieuw wordt opgegeven. Dit heeft op een of andere manier te maken met de lengte van de aanraking van het touchscreen. Hoe dan ook: deze voorwaarde voorkomt dat.
		if (pointerRepeat === -1) {										// Als setInterval nog niet is opgegeven
				// Als pointer <button> vijf procent terug of tien seconden terug heeft geactiveerd
			if (e.target.className === fiveBackClassId || e.target.className === tenBackClassId) {
					// Om de 0,1 seconde video bepaalde tijd terugzetten. Zet veranderingen op scherm en stel nieuwe huidige in.
				pointerRepeat = setInterval(function () {showTimePointer((videoNodeList[indexNr].currentTime - difference), indexNr, counter++); }, 100);
				// Als pointer <button> vijf procent verder of tien seconden verder heeft geactiveerd
			} else if (e.target.className === fiveForwardClassId || e.target.className === tenForwardClassId) {
					// Om de 0,1 seconde video bepaalse tijd verder zetten. Zet veranderingen op scherm en stel nieuwe huidige tijd in.
				pointerRepeat = setInterval(function () {showTimePointer((videoNodeList[indexNr].currentTime + difference), indexNr, counter++); }, 100);
			}
		}
		return false;
	}																	// Einde function pointerBackForward(e)




		// Deze functie wordt herhaald aangeroepen als de pointer blijft ingedrukt. Hij wordt aangeroepen door pointerBackForward(). Door dit in een aparte functie te plaatsen, kan het tempo van de herhaling beter worden geregeld
		// newCurrentTime: nieuwe currentTime
		// indexNr: indexnummer uit nodelists met besturingselementen
		// counter: telt aantal keren dat functie wordt aangeroepen, als pointer ingedrukt blijft
	function showTimePointer(newCurrentTime, indexNr, counter) {
		var time, difference, newTime;

		// Als de pointer wordt ingedrukt, wordt deze functie één keer aangeroepen. Ook als de pointer daarna gelijk omhoog komt en de functie dus niet herhaald moet worden aangeroepen, wordt de functie nog minimaal één keer aangeroepen. Bij de eerste aanroep is counter afwezig, bij de tweede aanroep is counter aanwezig.
		// In onderstaande lus wordt de tweede herhaalde aanroep daarom afgebroken. Bij latere aanroepen is counter groter dan 1 en wordt de functie dus gewoon afgewerkt.
		// Verder is een kleine vertraging ingebouwd. Bij de eerste drie herhaalde aanroepen wordt 0,2 seconde gepauzeerd. Hierdoor is er 'n duidelijk onderscheid tussen het één keer indrukken van de pointer en het langer ingedrukt houden, waarbij de functie herhaald aangeroepen moet worden.
		// (Oorspronkelijk stond hieronder if(counter < 1) en while (difference < 500), dus alleen bij de eerste herhaalde aanroep een vertraging van 0,5 seconde. Trageren touchscreens missen dan echter stopPointerRepeat(): de functie die het repeteren van de toets afbreekt door pointerRepeat te clearen. Als je binnen die halve seconde je vinger weer van het scherm haalde, bleeft de toets repeteren. Door die halve seconde in drie delen van elk 0,2 seconde te hakken, is dat probleem opgelost: het blijkt onmogelijk te zijn om binnen 0,2 seconde je vinger van het scherm te halen. Nu wordt binnen de vertraging van 0,6 seconde elke 0,2 seconde gekeken, of het scherm nog wel wordt aangeraakt, waardoor stopPonterRepeat() niet meer wordt gemist.)
		if (counter < 3) {												// Is alleen zo bij de tweede aanroep
			time = new Date().getTime();								// Lees tijd in milliseconden in
			difference = 0;
				// Zodra verschil 200 milliseconden is. Dit levert een kleine vertraging op voordat toetsherhaling begint
			while (difference < 200) {
				newTime = new Date().getTime();							// Lees tijd in milliseconden in
				difference = newTime - time;							// Trek begintijd af van huidige tijd
			}
			return false;
		}

		// Op slechtere touchscreens wordt soms niet geregistreerd dat de pointer (in dit geval de vinger) van het scherm is gehaald. Dat betekent dat de knop blijft repeteren, tot begin of einde van de video is bereikt. Daarom wordt na 20 keer dit repeteren gestopt. Pas na opnieuw aanraken van de knop, wordt het repeteren hervat. Omdat het in stappen van 50% of 100 seconden gaat, zal dit niet echt storend zijn. (12 en geen 10, omdat de eerste 2 niet meedoen vanwege if hier gelijk boven.)
		if (counter === 12) {
			stopPointerRepeat();
			return false;
		}

		videoNodeList[indexNr].currentTime = newCurrentTime;			// Nieuwe verstreken speelduur opgeven
		showTime(indexNr);					// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.
			// Bij loslaten toets/pointer wordt de nieuwe verstreken tijd die bij deze <video> hoort voorgelezen. Dit wordt geregeld door de eventlisteners pointerup en keyup op document door het aanroepen van speakTime(). speakTime() geeft ook weer een waarde van -1 aan ariaSpeakTime, waardoor slechts één keer wordt voorgelezen.
		ariaSpeakTime = indexNr;
		return false;
	}																	// Einde function showTimePointer(newCurrentTime, indexNr, counter)




/************************************ Snelheid instellen **********************************/
		// <input>'s voor verandering van snelheid afhandelen
	function changeSpeed(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1,
			buttons = document.getElementsByName(this.name),			// Stop <input>'s voor wijzigen snelheid in nodelist
			speed = 1;													// Nieuwe snelheid is speed maal waarde van aangevinkte <input>

		Array.prototype.map.call(buttons, function (e) {				// Bekijk elke <input>
			speed = (e.checked) ? e.value : speed;						// Als deze <input> is aangevinkt, gebruik dan de waarde van deze <input>
			e.setAttribute("aria-checked", (e.checked) ? "true" : "false");	// Als <input> is aangevinkt aria-checked='true', anders 'false'
		});

		if (!videoNodeList[indexNr].paused) {							// Als de video niet speelt
				// Op iOS verandert de snelheid pas als de video wordt gepauzeerd en weer wordt gestart
			videoNodeList[indexNr].pause();								// Pauzeer
			videoNodeList[indexNr].playbackRate = speed;				// Stel nieuwe snelheid in
			videoNodeList[indexNr].play();								// Ga verder met afspelen
		}

			// In Internet Explorer 9, 10 en 11 wordt de snelheid weer op normaal gezet als de video wordt gestart (zoals gelijk hierboven wordt gedaan voor iOS), dus daar moet de nieuwe snelheid nogmaals worden ingesteld. Zucht.
		videoNodeList[indexNr].playbackRate = speed;					// Stel nieuwe snelheid in
		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
	}																	// Einde function changeSpeed(e)




/**************************** Speelduur opvragen en tonen **************************/
		// Speelduur op scherm zetten (aan begin van video)
		// indexNr: indexnummer van nodelist met <video>'s en nodelist met <span>'s waarin speelduur komt te staan
	function showDuration(indexNr) {
		var duration = Math.round(videoNodeList[indexNr].duration);		// Lees speelduur in en rond af op hele seconden

		duration = toMinutes(duration);									// Speelduur van seconden omzetten naar uren:minuten:seconden
		durationNodeList[indexNr].innerHTML = duration;					// Voeg speelduur toe aan daarvoor bedoelde <span>
			// Voeg resterende speelduur toe aan daarvoor bedoelde <span>. Bij het begin van de video is die gelijk aan de totale speelduur.
		remainingNodeList[indexNr].innerHTML = duration;
	}																	// Einde function showDuration(indexNr)




		// Speelduur in seconden omzetten naar uren:minuten:seconden (zoals mensen het gewend zijn)
		// time: tijd in seconden
	function toMinutes(time) {
			// Als de tijd nog niet bekend is (time is geen getal), of als het aantal seconden negatief is (doet zich soms voor in Android browser, die 'n puinhoop van duration en dus van daarvan afgeleide waarden maakt)
		if (isNaN(time) || time < 0) return "--:--";					// Retourneer dan als tijd '--:--'

		time = Math.round(time);										// Afronden op hele seconden

			// Aantal seconden door 3600 (aantal seconden in een uur) delen. Eerste integer daaronder levert aantal uren op.
		var hours = Math.floor(time / 3600),
			minutes;

			// Deel time door 3600 seconden (een uur) en gebruik de rest
		time %= 3600;
			// Resterende aantal seconden door 60 (aantal seconden in een minuut) delen. Eerste integer daaronder levert aantal minuten op. Als aantal minuten uit 1 cijfer bestaat, 0 ervoor zetten. ':' aan resultaat toevoegen.
		minutes = twoDigits(Math.floor(time / 60)) + ":";
			// Deel resterende aantal seconden door 60 seconden (een minuut). De rest is het aantal seconden dat nog over is. Als aantal seconden uit 1 cijfer bestaat, 0 ervoor zetten
		time = twoDigits(time % 60);
		return ((hours > 0) ? hours + ":" : "") + minutes + time;		// Retourneer hours:minutes:time
	}																	// Einde function toMinutes(time)




		// Getal van 1 cijfer vooraf laten gaan door 0
		// number: te behandelen getal
	function twoDigits(number) {
		number += "";													// Getal omzetten naar string
		number = (number.length < 2) ? "0" + number : number;			// Als lengte getal 1 is, dan 0 ervoor zetten
		return number;
	}																	// Einde function twoDigits(number)




		// Als de speelduur nog niet bekend is als de besturingselementen worden getoond, kunnen speelduur e.d. niet worden getoond. Veel browsers hebben de speelduur nog helemaal niet, of niet voor alle video's, opgehaald als de besturingselementen al worden getoond. Daarom wordt na 1 seconde nogmaals de speelduur opgevraagd. Als de speelduur al is opgehaald, heeft deze functie geen effect (althans: dan zie je er niets van).
	function obtainDurationAgain() {
		var len = videoNodeList.length,									// videoNodelist bevat <video>'s
			i, duration;

		for (i = 0; i < len; i++) {
			duration = videoNodeList[i].duration;						// Lees speelduur van <video> met indexnummer i in
				// Als speelduur nóg niet is ingelezen, vul dan "--:--" in. iOS levert NaN op. Android browser geeft als speelduur altijd 1. Iets oudere versies van Google Chrome op Android geven óf de speelduur, óf het getal 100. Daarom worden NaN, 1 en 100 eruit gefilterd. (In theorie krijgen een video van precies 1 en van  precies 100 seconden nu nooit een speelduur. Omdat de speelduur echter met veel decimalen wordt opgegeven, zijn video's van exact 1 of 100 seconden heel onwaarschijnlijk.)
			if (isNaN(duration) || duration === 1 || duration === 100) {
				duration = "--:--";
			} else {													// Als de speelduur al bekend is
				duration = toMinutes(duration);							// Vertaal naar uren:minuten:seconden
					// Verander waarde van attribuut data-duration bij wrapper-<div> van 'unknown' in 'known'
				wrapperDivNodeList[i].setAttribute("data-duration", "known");
					// Als speelduur langer dan 1 uur is, kan het voor de lay-out nodig zijn dat te weten (uren nemen ruimte in...). Voeg aan <video> data-hour="yes" of data-hour="no" toe.
				wrapperDivNodeList[i].setAttribute("data-hour", (videoNodeList[i].duration > 3600) ? "yes" : "no");
			}
			durationNodeList[i].innerHTML = duration;					// Zet speelduur op scherm in daarvoor bestemde <span>
				// Zet resterende speelduur op scherm in daarvoor bestemde <span>. Omdat deze functie altijd wordt aangeroepen aan het begin van de video, is de resterende speelduur gelijk aan de totale speelduur.
			remainingNodeList[i].innerHTML = duration;
		}
	}																	// Einde function obtainDurationAgain()




		// Als bij het openen van de pagina de speelduur van de video nog niet bekend is, moet die later nog worden getoond. Op iOS is de speelduur pas bekend als event 'playing' plaats vindt. Deze functie wordt alleen aangeroepen door afterPageLoaded, als de speelduur bij het uitvoeren van afterPageLoaded() nog niet bekend is.
		// (De laatste versie van iOS lijkt de speelduur wel gewoon op te vragen bij gebruik van preload="metadata" in de html, maar volgens de officiële documentatie van Safari zou dat niet zo zijn. Mogelijk is die documentatie nog niet bijgewerkt.)
		// indexNr: indexnummer van nodelist met <video>'s en nodelist met <span>'s waarin speelduur komt te staan
	function showDurationLater(indexNr) {
		var duration = videoNodeList[indexNr].duration;					// Lees speelduur in

			// In iOS geeft video.duration NaN totdat event 'playing' plaatsvindt. Daarom eventlistener toevoegen, zodat bij afspelen alsnog de speelduur verschijnt. (De laatste versie van iOS lijkt de speelduur wel gewoon op te vragen bij gebruik van preload="metadata" in de html, maar volgens de officiële documentatie van Safari zou dat niet zo zijn. Mogelijk is die documentatie nog niet bijgewerkt. Voor de zekerheid laat ik dit nog staan.)
		if (isNaN(duration)) {
				// Voeg eventlistener toe als video begint te spelen
			videoNodeList[indexNr].addEventListener("playing", function () {
					// Lees speelduur in en rond af op hele seconden. Converteer naaar uren:minuten:seconden
				duration = toMinutes(Math.round(videoNodeList[indexNr].duration));
				durationNodeList[indexNr].innerHTML = duration;			// Zet speelduur op scherm in daarvoor bestemde <span>
					// Verander waarde van attribuut data-duration bij wrapper-<div> van 'unknown' in 'known'
				wrapperDivNodeList[indexNr].setAttribute("data-duration", "known");
					// Als speelduur langer dan 1 uur is, kan het voor de lay-out nodig zijn dat te weten (uren nemen ruimte in...). Voeg aan <video> data-hour="yes" of data-hour="no" toe.
				wrapperDivNodeList[indexNr].setAttribute("data-hour", (videoNodeList[indexNr].duration > 3600) ? "yes" : "no");
			});
			// Android browser geeft als speelduur altijd 1. Iets oudere versies van Google Chrome op Android geven óf de speelduur, óf het getal 100. Daarom worden 1 en 100 eruit gefilterd.
		} else if (duration === 1 || duration === 100) {
				// Pas nadat de video is gestart (en de durationchange dus is afgevuurd), is de speelduur eindelijk bekend. De minieme vertraging van 1 ms is nodig, omdat anders de speelduur nog steeds niet bekend is. Zet speelduur en resterende speelduur op scherm.
			videoNodeList[indexNr].addEventListener("durationchange", function () {setTimeout(function () {showDuration(indexNr); }, 1); });
		}
	}																	// Einde function showDurationLater(indexNr)




/********************** Verstreken en resterende speelduur opvragen en tonen en knop van sleepbalk weergave op juiste plaats zetten **************/
		// Berekenen en weergeven van verstreken en resterende speelduur e.d. starten
		// indexNr: indexnummer van nodelists met <video>'s e.d.
	function startTime(indexNr) {
			// De eerste keer moet de verstreken en resterende speelduur e.d. zonder vertraging worden weergegeven, daarna om de seconde. Zou dat de eerste keer niet gelijk worden gedaan, dan duurt het 'n seconde voor de juiste tijden op het scherm staan. Bij opnieuw afspelen van de video is dit nogal verwarrend. Bovendien worden bij stoppen van de video binnen 1 seconde de tijden nooit correct weergegeven.
			// Helaas duurt het op iOS even voor de currentTime wordt gevonden. Als een video wordt gepauzeerd, een andere video wordt afgespeeld, en er wordt weer verder gegaan met de eerste video, springen verstreken speelduur en sleepbalk hierdoor even terug naar 0. Een minieme vertraging van 1 milliseconde voorkomt dat.
		setTimeout(function () {showTime(indexNr); }, 1);					// Verstreken en resterende speelduur e.d. opvragen en tonen
			// Omdat er maar één video gelijktijdig kan afspelen, is één globale variabele voor setInterval voldoende. Elke seconde verstreken en resterende speelduur opvragen en weergeven. (elapsed = setInterval(showTime, 1000, indexNr); werkt niet in IE 9, vandaar onderstaande vorm.)
		elapsed = setInterval(function () {showTime(indexNr); }, 1000);
	}																	// Einde fucntion startTime(indexNr)




		// Opvragen en weergevan van verstreken en resterende speelduur, knop van sleepbalk voor weergave op juiste plaats zetten
		// indexNr: indexnummer van nodelists met <video>'s e.d.
	function showTime(indexNr) {
		var duration = Math.round(videoNodeList[indexNr].duration),		// Speelduur in afgeronde hele seconden opvragen
			elapsed = Math.round(videoNodeList[indexNr].currentTime),	// Verstreken in afgeronde, hele seconden opvragen
			pxPerSecond;

			// Als duration nog niet kon worden ingelezen (gebeurt op iOS bij preload="metadata" in de html, mogelijk niet meer in meest recente versie), is er niets aan de hand. toMinutes() retourneert dan "--:--" als waarde om in te vullen bij resterende speelduur. currentTime wordt vreemd genoeg wel altijd goed ingelezen. Maar als het misgaat, wordt ook daar "--:--" geretourneerd door toMinutes(). Als duration/currentTime bekend zijn, retourneert toMinutes dit in het formaat uren:minuten:seconden
		elapsedNodeList[indexNr].innerHTML = toMinutes(elapsed);		// Zet verstreken speelduur in daarvoor bestemde <span>
			// Resterende speelduur is totale speelduur min afgespeelde speelduur. Op scherm zetten in daarvoor bestemde <span>, ook weer in het formaat uren:minuten:seconden
		remainingNodeList[indexNr].innerHTML = toMinutes(duration - elapsed);

			// Breedte <div> met balk van sleepbalk zonder eventuele borders, minus breedte <div> met knop van sleepbalk inclusief eventuele borders levert de echt beschikbare ruimte op. Dit delen door de speelduur levert het aantal px op dat de knop vanaf links moet worden neergezet voor elke seconde speelduur. Als de video bijvoorbeeld 100 seconden duurt en de beschikbare ruimte is 100 px, is elke seconde speelduur 1 px.
		pxPerSecond = (imageSliderBeamNodeList[indexNr].clientWidth - imageSliderButtonNodeList[indexNr].offsetWidth) / duration;
			// Bovenstaande uitkomst vermenigvuldigen met aantal afgespeelde seconden. Dit levert het aantal px op dat de <div> met de knop van de sleepbalk vanaf links moet worden neergezet.
			// Met behulp van max() en min() wordt voorkomen dat de knop van de sleepbalk, door afronding, links of rechts buiten de balk van de sleepbalk zou komen te staan. Aantal px nooit minder dan 0, nooit meer dan breedte van <div> met balk van sleepbalk.
			// Geheel afronden op integers en 'px' toevoegen en ziedaar: afstand vanaf links voor de <div> met de knop van de sleepbalk. Dit als inline-style left='...' invoegen bij <div> met knop van sleepbalk.
		imageSliderButtonNodeList[indexNr].style.left = Math.round(Math.min(imageSliderBeamNodeList[indexNr].clientWidth, Math.max(0, (elapsed * pxPerSecond)))) + "px";

			// Percentage afgespeelde tijd in data-played bij wrapper-<div> aanpassen, bijvoorbeeld data-played='percent-25'.
		wrapperDivNodeList[indexNr].setAttribute("data-played", "percent-" + twoDigits(Math.round((elapsed / duration) * 100)));
		return false;
	}																	// Einde function showTime(indexNr)




/************************************** Bediening beeld *********************************************/
		// Regelt werking sleepbalk afspelen met toetsbediening
	function imageSliderKey(e) {
			// Speciale toetsen eruit filteren, zodat deze hun normale werking blijven houden. Als je dat niet doet en de sleepbalk voor geluid heeft toevallig focus als je alt + pijltje indrukt, werken de sneltoetsen voor navigeren van de browser niet.
			// De Tab-toets (9) wordt eruit gefilterd, omdat anders bij onbekende speelduur de melding hierover wordt getoond, als je alleen maar met behulp van de Tab-toets van knop naar knop gaat, zonder op 'n knop te klikken of zo.
			// Enter (13) en spatiebalk (32) worden eruit gefilterd, omdat anders in sommige browsers de melding die bij onbekende speelduur wordt getoond onmiddellijk weer wordt gesloten. Deze toetsen hebben hier toch geen functie, dus dat filteren kan ook probleemloos.
		if (e.altKey || e.ctrlKey || e.shiftKey || e.metaKey || e.accelKey || e.keyCode === 9 || e.keyCode === 13 || e.keyCode === 32) {
			return false;												// Niets doen
		}

			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

			// Als de speelduur van de betreffende <video> nog niet bekend is, werkt deze functie nog niet. In dat geval heeft attribuut data-duration bij de betreffende wrapper-<div> een waarde van 'unknown'.
		if (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "unknown") {
			showDurationText(false, indexNr);							// Toon melding speelduur nog onbekend
			return false;												// Doe verder niets
		}

		var	keyCode = e.keyCode,										// Code van ingedrukte toets opslaan
			newCurrentTime = videoNodeList[indexNr].currentTime,		// Lees verstreken speelduur in
			duration = videoNodeList[indexNr].duration;					// Lees totale speelduur in

			// Als speelduur of verstreken speelduur (nog) niet bekend zijn, doe dan verder niets
		if (isNaN(duration) || isNaN(newCurrentTime)) return false;

		switch (keyCode) {
		case 33:														// PgUp
			newCurrentTime += (duration / 20);							// Verstreken speelduur met 5% (speelduur gedeeld door 20) verhogen
			break;
		case 34:														// PgDn
			newCurrentTime -= (duration / 20);							// Verstreken speelduur met 5% (speelduur gedeeld door 20) verlagen
			break;
		case 35:														// End
			newCurrentTime = duration;									// Verstreken speelduur gelijk maken aan totale speelduur
			break;
		case 36:														// Home
			newCurrentTime = 0;											// Verstreken speelduur op 0 (begin video) zetten
			break;
		case 37:														// Pijltje links
		case 40:														// Pijltje omlaag
			newCurrentTime -= 10;										// Verstreken speelduur met 10 seconden verlagen
			break;
		case 38:														// Pijltje omhoog
		case 39:														// Pijltje rechts
			newCurrentTime += 10;										// Verstreken speelduur met 10 seonden verhogen
			break;
		default:
			return false;												// Alle andere toetsen negeren en verder niets doen
		}																// Einde switch (keyCode)

		e.stopPropagation();											// Voorkom dat event omhoog bubbelt en daar storend werkt
		e.preventDefault();												// Voorkom normale werking van deze toetsen (scrollen e.d.)

		videoNodeList[indexNr].currentTime = newCurrentTime;			// Video verplaatsen naar nieuwe verstreken speelduur
		if (newCurrentTime <= 0) {										// Als video aan begin of daarvoor staat (kan door afronden gebeuren)
				// Sommige browsers spelen gelijk nogmaals af, wat problemen met het weergeven van de tijd en zo oplevert. Bovendien is dat gewoon ook onhandig. Dus pauzeren.
			videoNodeList[indexNr].pause();
				// Extra class die aangeeft dat video niet speelt toevoegen aan <button> spelen/pauzeren (classList.add werkt niet in IE 9)
			playPauseNodeList[indexNr].className = playPauseClassId + " " +  notPlayingClass;
		}
		showTime(indexNr);					// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.
			// Bij loslaten toets/pointer wordt de nieuwe verstreken tijd die bij deze <video> hoort voorgelezen. Dit wordt geregeld door de eventlisteners pointerup en keyup op document door het aanroepen van speakTime(). speakTime() geeft ook weer een waarde van -1 aan ariaSpeakTime, waardoor slechts één keer wordt voorgelezen.
		ariaSpeakTime = indexNr;
		return false;
	}																	// Einde function imageSliderKey(e)




		// Lees nieuw ingestelde verstreken speelduur voor (bedoeld voor schermlezers)
	function speakTime() {
			// ariaSpeakTime bevat het volgnummer van de <video> waarbij de tijd moet worden voorgelezen. Als niets moet worden voorgelezen, is ariaSpeakTime -1.
			// Alleen duration opvragen als ariaSpeakTime >= 0 is. Bij -1 levert zoeken in een nodelist 'n fout op...
		var elapsed = (ariaSpeakTime >= 0) ? Math.round(videoNodeList[ariaSpeakTime].currentTime) : elapsed,
			hours, minutes, seconds, readOut;

		if (isNaN(elapsed)) return false;								// Als verstreken tijd onbekend is, doe dan verderniets
			// Aantal seconden door 3600 (aantal seconden in een uur) delen. Eerste integer daaronder levert aantal uren op.
		hours = Math.floor(elapsed / 3600);
		readOut = (hours > 0) ? hours + " " + ariaHourText + " " : "";	// Als er uren zijn, sla die dan op in voorlezen
			// Deel verstreken speelduur door 3600 seconden (een uur) en gebruik de rest
		elapsed %= 3600;
			// Resterende aantal seconden door 60 (aantal seconden in een minuut) delen. Eerste integer daaronder levert aantal minuten op. Als getal uit een cijfer bestaat, 0 ervoor zetten.
		minutes = Math.floor(elapsed / 60);
		readOut += (minutes > 0) ? minutes + " " + ariaMinutesText + " " : "";	// Als er minuten zijn, voeg die dan toe aan voorlezen
			// Deel resterende aantal seconden door 60 seconden (een minuut). De rest is het aantal seconden dat nog over is. Als getal uit 1 cijfer bestaat, 0 ervoor zetten
		seconds = elapsed % 60;
			// Voeg seconden toe aan voorlezen (altijd, omdat begin video (alles 0) anders wordt gemist)
		readOut += (seconds >= 0) ? seconds + " " + ariaSecondsText : "";	// readout is nu bijvoorbeeld 1 uur 13 minuut 23 seconden
		ariaElapsedNodeList[ariaSpeakTime].innerHTML = readOut;
		ariaSpeakTime = -1;												// Een keer voorlezen is genoeg, dus op -1 zetten
		return false;
	}																	// Einde function speakTime()




		// Regelt beweging sleepbalk afspelen door pointer
	function imageBeginSliding(e) {
			// Laatste teken van id is index in nodelist. Is voor mensen met 1 verhoogd, omdat dat intuïtiever is, dus weer 1 verlagen
		var indexNr = parseInt(this.id.substr(-1), 10) - 1;

			// Als de speelduur van de betreffende <video> nog niet bekend is, werkt deze functie nog niet. In dat geval heeft attribuut data-duration bij de betreffende wrapper-<div> een waarde van 'unknown'.
		if (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "unknown") {
			showDurationText(false, indexNr);							// Toon melding speelduur nog onbekend
			e.preventDefault();											// Voorkom normale werking van deze toetsen
			return false;												// Doe verder niets
		}

			// Breedte van <div> met knop van sleepbalk inclusief eventuele borders inlezen
		var	widthSliderButton = imageSliderButtonNodeList[indexNr].offsetWidth,
				// Breedte van <div> met balk van sleepbalk exclusief eventuele borders inlezen
			widthSliderBeam = imageSliderBeamNodeList[indexNr].clientWidth,
			availableSpaceSliderBeam = widthSliderBeam - widthSliderButton,	// Echt beschikbare ruimte is verschil tussen deze twee breedtes
			duration = videoNodeList[indexNr].duration,					// Totale speelduur video inlezen
				// Correctiefactor voor verschil echt beschikbare breedte van <div> met balk van sleepbalk en breedte van <div> met blak van sleepbalk
			correction = availableSpaceSliderBeam / widthSliderBeam,
			counter = 0,												// Telt aantal keren dat imageSliding() wordt aangeroepen
			len, i, xSliderBeam;

			// Zodra de pointer ergens op de pagina omhoog gaat, wordt imageSlindingAllowed -1. Dit wordt geregeld door eventlistener pointerup op document. Nu wordt het indexnummer van de <div> met de sleepbalk die gesleept mag worden erin opgeslagen, als teken dat slepen is toegestaan.
		imageSlidingAllowed = indexNr;
		xSliderBeam = getPositionX(imageSliderBeamNodeList[indexNr]);	// Vraag x-coördinaat linkerkant <div> met balk van sleepbalk op

			// Eventlisteners toevoegen voor beweging. Ook op de <div> met de knop van de sleepbalk, anders werkt het niet als je de pointer op exact de knop van de sleepbalk indrukt. Door dit binnen imageBeginSliding() te doen, worden deze eventlisteners pas gekoppeld als soundSlidingAllowed het indexnummer van de sleepbalk heeft gekregen (gebeurt gelijk hierboven). Hierdoor werken deze eventlisteners pas, nadat is geklikt binnen <div> met de balk van de de sleepbalk. Precies de bedoeling: slepen werkt pas nadat is geklikt/aangeraakt.
			// De listener kan, als je meermalen binnen de <div> met de balk van de sleepbalk klikt, meermalen worden toegevoegd. Op zich is het meermalen toevoegen van dezelfde listener geen probleem, omdat er maar eentje werkt. Maar niet alle browsers verwijderen met removeEventListener() álle gelijke listeners. Als je in de sleepbalk van de eerste video sleept en dan, terwijl je de muisknop nog hebt ingedrukt, boven een andere sleepbalk komt, werkt slepen ook hier. Omdat er een eventlistener is. Daarom moet deze worden verwijderd, want dit is natuurlijk uiterst verwarrend.
			// Als er meerdere eventlisteners zijn, moeten deze allemaal worden verwijderd. Zolang er nog eentje is, zal slepen boven een andere sleepbalk ook werken. Daarom moeten álle listeners worden verwijderd. Deze listeners worden alleen in deze functie (gelijk hieronder) aangebracht. Oftewel: vóór het aanbrengeven van deze eventlistener, wordt altijd dit punt gepasseerd.
			// Door dus hier, op dit punt, eerst de listener te verwijderen, kan er nooit meer dan eentje worden geregistreerd. En hoeft er dus altijd maar eentje te worden verwijderd met removeEventListener(). En dat doen alle browsers correct (behalve IE 11, waarvoor verderop een extra controle wordt aangebracht). Als er nog geen listener is aangebracht maakt dat niet uit. In dat geval heeft removeEventListener() gewoon geen enkel effect.
		len = imageSliderBeamNodeList.length;							// Aantal balken van de sleepbalk voor afspelen
		for (i = 0; i < len; i++) {
			imageSliderBeamNodeList[i].removeEventListener("pointermove", imageSliding);	// Verwijder eventueel al gekoppelde eventlistener
			imageSliderButtonNodeList[i].removeEventListener("pointermove", imageSliding);	// Verwijder eventueel al gekoppelde eventlistener
			imageSliderBeamNodeList[i].removeEventListener("touchmove", imageSliding);		// Verwijder eventueel al gekoppelde eventlistener
			imageSliderButtonNodeList[i].removeEventListener("touchmove", imageSliding);	// Verwijder eventueel al gekoppelde eventlistener
		}
			// Koppel eventlistener aan <div> met balk van sleepbalk die bewegen van pointer afhandelt
		imageSliderBeamNodeList[indexNr].addEventListener("pointermove", imageSliding);
			// Koppel eventlistener aan <div> met knop van sleepbalk die bewegen van pointer afhandelt
		imageSliderButtonNodeList[indexNr].addEventListener("pointermove", imageSliding);
			// Op iOS en Android werkt pointermove niet. In Google Chrome en Opera op Windows 8 idem. Voor deze systemen en browsers wordt touchmove toegevoegd. (Firefox op Windows 8 kan met beide overweg, maar pointermove 'wint'.)
			// touchstart en touchend zijn niet nodig, omdat pointerdown en pointerup wel worden herkend.
		imageSliderBeamNodeList[indexNr].addEventListener("touchmove", imageSliding);
		imageSliderButtonNodeList[indexNr].addEventListener("touchmove", imageSliding);

			// <div> met knop van sleepbalk voor afspelen op juiste plaats binnen <div> met balk van sleepbalk zetten.
			// e.clientX - xSliderBeam: plaats waar op het scherm is geklikt minus begin <div> met balk van sleepbalk
			// correction * bovenstaande uitkomst: correctie voor breedte van de <div> met de knop van de sleepbalk (zoals hierboven bij initialiseren van corection beschreven)
			// min(availableSpaceSliderBeam, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk rechts buiten <div> met balk van sleepbalk kan komen te staan
			// max(0, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk links buiten <div> met balk van sleepbalk kan komen te staan
			// round(): rond af op integers
			// Voeg tenslotte 'px' toe, zodat het resultaat gebruikt kan worden als inlinestyle 'left: ...px' bij de <div> met de knop van de sleepbalk
		imageSliderButtonNodeList[indexNr].style.left = Math.round(Math.max(0, Math.min(availableSpaceSliderBeam, correction * (e.clientX - xSliderBeam)))) + "px";
			// e.clientX - xSliderBeam: plaats waar op het scherm is geklikt minus correcties voor begin <div> met balk van sleepbalk en breedte van <div> met knop van sleepbalk
			// Deel dit door de echt beschikbare breedte van de <div> met de sleepbalk
			// Als helemaal rechts in de sleepbalk is geklikt, levert dit 0 op. Helemaal rechts 1. En daartussenin een decimaal ertussen. Vermenigvuldig dit met de speelduur van de video. Dit levert de waarde in seconden op, waarop de currentTime moet worden ingesteld.
		videoNodeList[indexNr].currentTime = (e.clientX - xSliderBeam) / availableSpaceSliderBeam * duration;
		showTime(indexNr);					// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.
			// Bij loslaten toets/pointer wordt de nieuwe verstreken tijd die bij deze <video> hoort voorgelezen. Dit wordt geregeld door de eventlisteners pointerup en keyup op document door het aanroepen van speakTime(). speakTime() geeft ook weer een waarde van -1 aan ariaSpeakTime, waardoor slechts één keer wordt voorgelezen.
		ariaSpeakTime = indexNr;



			// Door imageSliding() binnen imageBeginSliding() te zetten, kan deze functie gebruik maken van een aantal van de de berekeningen van imageBeginSliding(), zodat deze niet steeds herhaald hoeven te worden.
			// Deze functie regelt wat er gebeurt als de pointer ingedrukt blijft boven de sleepbalk (en beweegt). Hij wordt gestopt als ergens op de pagina de pointer omhoog gaat, omdat dan imageSlidingAllowed op -1 wordt gezet.
		function imageSliding(e) {
			var screenX;

			counter++;													// Telt aantal keren dat imageSliding() wordt aangeroepen
				// Alleen als pointer al is ingedrukt mag de slider reageren. Als de pointer niet is ingedrukt, is soundSlidingAllowed -1. Als de pointer al wel is ingedrukt, is soundSlindingAllowd gelijk aan het indexnummer.
				// IE 11 verwijdert de eventlistener niet goed (gebeurt iets hierboven met removeEventListener). Als je op sleepbalk A klikt, vervolgens gaat slepen op sleepbalk B en dan hovert boven sleepbalk A, verspringt sleepbalk A naar een verkeerde positie. Door het nummer van imageSlidingAllowed te vergelijken met het indexnummer van de nodelist, wordt dit voorkomen: alleen als de nummers hetzelfde zijn, wordt gesleept.
				// Omdat deze functie nogal veel capaciteit gebruikt, wordt hij maar 1 op de vijf keren volledig uitgevoerd (dit wordt bijgehouden door counter). Dat is vaak genoeg, maar bespaart 80% beslag op de capaciteit. Deze events vuren in een moordend tempo af, dus ook bij 1 op de 5 verschuift de sleepbalk nog soepel.
			if (imageSlidingAllowed === indexNr && (counter % 5 === 0)) {
					// Als de event 'pointermove' is, kan gewoon e.clientX worden ingelezen. Als de event 'touchmove' is, wordt het punt van de eerste aanraking gebruikt.
				screenX = (e.type === "pointermove") ? e.clientX : e.changedTouches[0].clientX;
					// <div> met knop van sleepbalk op juiste plaats binnen <div> met balk van sleepbalk zetten
					// screenX - xSliderBeam: plaats waar op het scherm is geklikt minus correcties voor begin <div> met balk van sleepbalk en breedte van <div> met knop van sleepbalk
					// correction * bovenstaande uitkomst: correctie voor breedte van de <div> met de knop van de sleepbalk
					// min(availableSpaceSliderBeam, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk rechts buiten <div> met balk van sleepbalk kan komen te staan
					// max(0, bovenstaande uitkomst): voorkom dat <div> met knop van sleepbalk links buiten <div> met balk van sleepbalk kan komen te staan
					// round(): rond af op integers
					// Voeg tenslotte 'px' toe, zodat het resultaat gebruikt kan worden als inlinestyle 'left: ...px' bij de <div> met de knop van de sleepbalk
				imageSliderButtonNodeList[indexNr].style.left = Math.round(Math.max(0, Math.min(availableSpaceSliderBeam, correction * (screenX - xSliderBeam)))) + "px";
					// screenX - xSliderBeam: plaats waar op het scherm is geklikt minus correcties voor begin <div> met balk van sleepbalk en breedte van <dvi> met knop van sleepbalk
					// Deel dit door de echt beschikbare breedte van de <div> met de balk van de sleepbalk
					// Als helemaal rechts in de sleepbalk is geklikt, levert dit 0 op. Helemaal rechts 1. En daartussenin een decimaal ertussen. Vermenigvuldig dit met de speelduur van de video. Dit levert de waarde in seconden op, waarop de currentTime moet worden ingesteld.
				videoNodeList[indexNr].currentTime = (screenX - xSliderBeam) / availableSpaceSliderBeam * duration;
				showTime(indexNr);			// Verstreken en resterende speelduur opvragen en tonen, knop sleepbalk op juiste positie zetten, e.d.
					// Bij loslaten toets/pointer wordt de nieuwe verstreken tijd die bij deze <video> hoort voorgelezen. Dit wordt geregeld door de eventlisteners pointerup en keyup op document door het aanroepen van speakTime(). speakTime() geeft ook weer een waarde van -1 aan ariaSpeakTime, waardoor slechts één keer wordt voorgelezen.
				ariaSpeakTime = indexNr;
			}
			e.stopPropagation();										// Voorkom dat event omhoog bubbelt en daar storend werkt
			e.preventDefault();											// Voorkom normale werking van deze toetsen
		}																// Einde function imageSliding(e)

		return false;
	}																	// Einde function imageBeginSliding(e)




		// Regelt openen en sluiten van melding dat speelduur nog onbekend is en functie nog niet werkt
		// keyboard: is true als functie wordt door gebruik van een toets, false als functie op een andere manier wordt aangeroepen
		// indexNr: indexnummer van nodelists met video's e.d.
		// keyCode: code van ingedrukte toets (als functie is aangeroepen met een toets, anders, is deze parameter afwezig)
	function showDurationText(keyboard, indexNr, keyCode) {
		var text, textParent, button, par;
	
		if (!durationUnknownText) return false;							// Als er geen tekst is voor de melding, doe dan verder niets

		if (keyboard) {													// Als de aanroep door gebruik van een toets is gedaan
				// Alleen als de door keyup ingelezen toets Enter (13) of spatiebalk (32) was. Dit zijn de enige toetsen die een knop activeren, dus andere toetsen kunnen worden genegeerd.
				// Als attribuut data-duration bij de wrapper-<div> als waarde 'known'heeft, is de speelduur bekend en hoeft dus geen melding te worden getoond. Zonder deze tweede voorwaarde zou de pop-up altijd worden geopend als Enter of spatiebalk worden gebruikt om de knoppen te bedienen.
			if ((keyCode !== 13 && keyCode !== 32) || (wrapperDivNodeList[indexNr].getAttribute("data-duration") === "known")) {
				return false;											// Verder niets doen
			}
		}
		
		if (!showingDurationText) {										// Als melding al is geopend, is showingDurationText true
			showingDurationText = true;									// 1 melding is genoeg
			text = document.createElement("div");						// <div> waar melding in komt te staan maken
			text.id = durationDivId;									// Id aan <div> geven
			text.setAttribute("role", "dialog");						// aria role aan <div> geven
			text.setAttribute("aria-label", durationDivAriaLabel);		// aria-label aan <div> geven
			text.setAttribute("aria-describedby", durationParId);		// Koppelen aan <p> waar eigenlijke tekst in staat
				// Als er een tekst voor de <button> om de melding mee te sluiten is opgegeven, gebruik die dan. Anders 'OK' gebruiken
			durationButtonText = (durationButtonText) ? durationButtonText : "OK";
				// Inhoud van de <div> samenstellen: <p> met tekst + <button> met tekst
			text.innerHTML = "<p id='" + durationParId + "' tabindex = '-1' >" + durationUnknownText + "<br><button id='" + durationButtonId + "'>" + durationButtonText + "</button></p>";
				// <div> waar de besturingselementen van de eerste video instaan opslaan. Hier kan veilig een element in worden ingevoegd en weer verwijderd, omdat dit hele element volledig dit script wordt opgebouwd. Bij invoegen in bijvoorbeeld <body> is er een klein risico dat na het invoegen de DOM wordt veranderd, waardoor een ander element op de plaats van de ingevoegde melding komt te staan en na sluiting van de melding wordt verwijderd. controlsDivClassId bevat het eerste deel van de id. Door daar simpel -1 aan toe te voegen, ontstaat de volledige id van het element dat opgeslagen moet worden.
			textParent = document.getElementById(controlsDivClassId + "-1");
			textParent.appendChild(text);								// <div> met melding invoegen
			par = document.getElementById(durationParId);				// <p> waarin tekst melding staat inlezen
			par.focus();												// <p> focus geven
				// Deze eventlistener zorgt voor sluiting van de melding, als Escape wordt ingedrukt. Sluiting kan dus ook gelijk, zonder eerst naar de <button> toe te gaan met de Tab-toets. (Escape is een gebruikelijke manier om zo'n melding te sluiten, vandaar.)
			par.addEventListener("keyup", function (e) {				// Eventlistener toevoegen aan <p> met tekst van melding
				if (e.keyCode !== 27) return false;						// Als een andere toets dan Escape is ingedrukt, doe dan verder niets
				textParent.removeChild(textParent.lastChild);			// Verwijder hele melding uit de DOM
				showingDurationText = false;							// Er wordt geen melding meer getoond
				playPauseNodeList[indexNr].focus();						// Zet focus op Speel-pauzeerknop die bij ingedrukte knop e.d. hoort
				text = null;											// Verwijder hele melding volledig, inclusief eventlisteners
			});
				// Met Shift+Tab zou iemand naar een vorig element kunnen gaan. Shift+Tab afvangen lukt niet, maar alleen Shift wel.
			par.addEventListener("keydown", function (e) {				// Eventlistener toevoegen aan <p> met tekst van melding
					// Als Shift wordt ingedrukt, wat ook gebeurt bij de combinatie Shift+Tab. Omdat de eventlistener op keydown reageert, werkt deze direct wanneer Shift wordt ingedrukt
				if (e.keyCode === 16) {
					textParent.removeChild(textParent.lastChild);		// Verwijder hele melding uit de DOM
					showingDurationText = false;						// Er wordt geen melding meer getoond
					playPauseNodeList[indexNr].focus();					// Zet focus op Speel-pauzeerknop die bij bediende knop/balk hoort
					text = null;										// Verwijder hele melding volledig, inclusief eventlisteners
				}
			});
			button = document.getElementById(durationButtonId);			// <button> waarmee melding kan worden gesloten inlezen
				// Deze eventlistener zorgt voor sluiting van de melding, als op de sluit-<button> wordt geklikt, als deze wordt aangeraakt of als de spatiebalk of Enter wordt ingedrukt
			button.addEventListener("click", function () {				// Eventlistener toevoegen aan <button> waarmee melding kan worden gesloten
				textParent.removeChild(textParent.lastChild);			// Verwijder hele melding uit de DOM
				showingDurationText = false;							// Er wordt geen melding meer getoond
				playPauseNodeList[indexNr].focus();						// Zet focus op Speel-pauzeerknop die bij bediende knop/balk hoort
				text = null;											// Verwijder hele melding volledig, inclusief eventlisteners
			});
				// Deze eventlistener zorgt voor sluiting van de melding, als de sluit-<button> focus verliest. Bij opening van de melding staat de focus op de tekst. Na 1 keer de Tab-toets ingedrukt te hebben, staat de focus op de sluit-<button>. Bij nogmaals indrukken van de Tab-toets verliest de sluit-<button> focus, en wordt de melding dus gesloten. Hierdoor kunnen mensen niet per ongeluk buiten de melding klikken of zoiets, waarna de melding voor mensen die moeite hebben met de muis niet meer is te sluiten.
				// Deze eventlistener kan niet aan de <p> met de tekst worden gekoppeld, omdat op iOS de melding dan na opening gelijk weer sluit
			button.addEventListener("blur", function () {				// Eventlistener toevoegen aan <button> waarmee melding kan worden gesloten
				textParent.removeChild(textParent.lastChild);			// Verwijder hele melding uit de DOM
				showingDurationText = false;							// Er wordt geen melding meer getoond
				playPauseNodeList[indexNr].focus();						// Zet focus op Speel-pauzeerknop die bij bediende knop/balk hoort
				text = null;											// Verwijder hele melding volledig, inclusief eventlisteners
			});
				// Deze eventlistener zorgt voor sluiting van de melding, als de sluit-<button> focus heeft en Escape wordt ingedrukt
			button.addEventListener("keyup", function (e) {				// Eventlistener toevoegen aan <button> waarmee melding kan worden gesloten
				if (e.keyCode !== 27) return false;						// Als een andere toets dan Escape is ingedrukt, doe dan verder niets
				textParent.removeChild(textParent.lastChild);			// Verwijder hele melding uit de DOM
				showingDurationText = false;							// Er wordt geen melding meer getoond
				playPauseNodeList[indexNr].focus();						// Zet focus op Speel-pauzeerknop die bij bediende knop/balk hoort
				text = null;											// Verwijder hele melding volledig, inclusief eventlisteners
			});
		}																// Einde if (!showingDurationText)
	}																	// Einde function showDurationText(keyboard, indexNr, keyCode)




/********************************* Uitvoeren nadat hele pagina is geladen ***************************/
		// Deze functie wordt pas uitgevoerd als de héle pagina is geladen. Pas dan kan op essentiële css e.d. worden getest.
	function afterPageLoaded() {
		var len = soundSliderBeamNodeList.length,						// nodelist met <div>'s met balk van sleepbalk voor geluid
			i;

		for (i = 0; i < len; i++) {
				// Als de <div> met de balk van de sleepbalk voor geluid een statische positie heeft, maak deze dan relatief. Anders kan de <div> met de knop niet geplaatst worden ten opzichte van de <div> met de balk van de sleepbalk.
			if (getComputedStyle(soundSliderBeamNodeList[i]).position === "static") soundSliderBeamNodeList[i].style.position = "relative";
				// Idem voor <div> met de balk van de sleepbalk voor afspelen
			if (getComputedStyle(imageSliderBeamNodeList[i]).position === "static") imageSliderBeamNodeList[i].style.position = "relative";
				// Bij openen pagina <div> met knop van sleepbalk voor geluid afhankelijk van opgegeven beginvolume op juiste positie zetten
				// 100 * soundStartVolume: opgegeven beginvolume is een getal tussen 0 en 1. Met 100 vermenigvuldigen levert een percentage op.
				// 100 / bovenstaande uitkomst levert getal op waardoor clientWidth (breedte van <div> met balk sleepbalk zonder evt. borders) gedeeld moet worden)
				// Hiervan moet worden afgetrokken:
				// offsetWidth: breedte van <div> met knop van sleepbalk gedeeld door dezelfde uitkomst als die hierboven.
				// Aan het geheel 'px' toevoegen en uitkomst als inline-style left='...' bij <div> met knop van sleepbalk invoegen
			soundSliderButtonNodeList[i].style.left = Math.round(((soundSliderBeamNodeList[i].clientWidth / (100 / (100 * soundStartVolume)))) - (soundSliderButtonNodeList[i].offsetWidth / (100 / (100 * soundStartVolume)))) + "px";
				// Om verspringen te voorkomen is de <div> met de knop van de sleepbalk eerder met visibility: hidden; onzichtbaar gemaakt. Hier gelijk onder wordt hij op de goede plaats gezet, dus mag hij nu zichtbaar worden.
			soundSliderButtonNodeList[i].style.visibility = "visible";
				// Als er genoeg gegevens zijn binnengehaald (readyState >= 1), zet dan de speelduur van de video op het scherm. Anders '00:00' invullen als speelduur. Android browser geeft als speelduur altijd 1. Iets oudere versies van Google Chrome op Android geven óf de speelduur, óf het getal 100. Daarom worden NaN, 1 en 100 eruit gefilterd. (In theorie krijgen een video van precies 1 en van  precies 100 seconden nu nooit een speelduur. Omdat de speelduur echter met veel decimalen wordt opgegeven, zijn video's van exact 1 of 100 seconden heel onwaarschijnlijk.)
			if (videoNodeList[i].readyState >= 1 && videoNodeList[i].duration !== 1 && videoNodeList[i].duration !== 100) {
				showDuration(i);										// Zet speelduur op scherm
					// Speelduur is nu bekend, dus waarde van data-duration bij wrapper-<div> veranderen van 'unknown' in 'known'
				wrapperDivNodeList[i].setAttribute("data-duration", "known");
				// Als speelduur minimaal 1 uur is, kan het voor de lay-out nodig zijn dat te weten, omdat dan mogelijk ook uren worden weergegeven. Bij een speelduur van meer dan 3600 seconden data-hour="yes", anders data-hour="no"
				wrapperDivNodeList[i].setAttribute("data-hour", (videoNodeList[i].duration > 3600) ? "yes" : "no");
			} else {													// Speelduur nog niet bekend
				durationNodeList[i].innerHTML = "--:--";				// Vul voorlopig dit in als speelduur
				remainingNodeList[i].innerHTML = "--:--";				// Vul resterende speelduur in
				showDurationLater(i);									// Probeer later alsnog speelduur te tonen
			}
		}																// Einde for (i = 0; i < len; i++)
	}																	// Einde function afterPageLoaded()
	return false;
}																		// Einde function cssvCustomControls()